<?php  $old = 0; ?>

<?php $pttChannel = Input::old('ptt_channel');?>
<?php if($pttChannel==''){$pttChannel = $mixer_config->ptt_channel; } else {  $old = 1; }  ?>

<?php $pttType = Input::old('ptt_type');?>
<?php if($pttType==''){$pttType = $mixer_config->ptt_type; } ?>

<?php $pttZones = Input::old('ptt_zones');?>
<?php if($pttZones==''){$pttZones = $mixer_config->ptt_zones; } ?>

<?php $pttSrcToOut = Input::old('ptt_src_to_out');?>
<?php if($pttSrcToOut==''){$pttSrcToOut = $mixer_config->ptt_src_to_out; } ?>

<?php $pttOutput = Input::old('ptt_output');?>
<?php if($pttOutput==''){$pttOutput = $mixer_config->ptt_output; } ?>

<div class="row"> <!-- start row -->
<div class="col-md-6"> <!-- start column 1 -->
<input name="amp_id" id="amp_id" type="hidden" value="<?php echo $amp_id; ?>">
<input name="station_device_type" id="station_device_type" type="hidden" value="<?php echo $station_device_type; ?>">
<div class="form-group">
<input name="ptt_channel" id="ptt_channel" type="hidden" value="4">
{!! Form::label('ptt_channel','Push To Talk Channel:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title="<?php echo $mixer_config_help->ptt_channel;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
	{!! Form::text('ptt_channel_text','4',['class' => 'form-control','style' => 'width: 50px', 'disabled']) !!}
</div>

<div class="form-group">
<input name="ptt_type" id="ptt_type" type="hidden" value="<?php echo $pttType;?>">
{!! Form::label('ptt_type','Push To Talk Type:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title="<?php echo $mixer_config_help->ptt_type;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group ptt-type-btn">
  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php if($pttType=='Line-Output'){ echo 'DSP-Controlled'; } else { echo $pttType; } ?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
         <li><a href="#" class="ptt-type-action" data-value="All-Call-Page">All-Call-Page</a></li>
         <li><a href="#" class="ptt-type-action" data-value="Emergency-All-Call-Page">Emergency-All-Call-Page</a></li>
         <li><a href="#" class="ptt-type-action" data-value="Line-Output">DSP-Controlled</a></li>
         <li><a href="#" class="ptt-type-action" data-value="Zone-Page">Zone-Page</a></li>
	     <li><a href="#" class="ptt-type-action" data-value="Record-Zone-Page">Record-Zone-Page</a></li>
  </ul>
</div>
</div>

<div id="ptt_src_to_out_div">
<div class="form-group">
<input name="ptt_src_to_out" id="ptt_src_to_out" type="hidden" value="<?php echo $pttSrcToOut;?>">
{!! Form::label('ptt_type','PTT Stream Source for Mixer Output:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title="<?php echo $mixer_config_help->ptt_src_to_out;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group ptt_src_to_out-btn">
  <button id="ptt_src_to_out_button" type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php echo $pttSrcToOut; ?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
         <li><a href="#" class="ptt_src_to_out-action" data-value="Analog">Analog</a></li>
         <li><a href="#" class="ptt_src_to_out-action" data-value="Network">Network</a></li>
  </ul>
</div>
</div>
</div>

<div id="ptt_output_div">
<div class="form-group">
<input name="ptt_output" id="ptt_output" type="hidden" value="<?php echo $pttOutput;?>">
{!! Form::label('ptt_type','PTT Output:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title="<?php echo $mixer_config_help->ptt_output;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group ptt_output-btn">
  <button id="ptt_output_button" type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php echo $pttOutput; ?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
         <li><a href="#" class="ptt_output-action" data-value="Both">Both</a></li>
         <li><a href="#" class="ptt_output-action" data-value="Line-Out">Line-Out</a></li>
	  	<li><a href="#" class="ptt_output-action" data-value="None">None</a></li>
         <li><a href="#" class="ptt_output-action" data-value="Speaker-Out">Speaker-Out</a></li>
  </ul>
</div>
</div>
</div>
	
<div id="ptt_stations_div">
<div class="form-group">
{!! Form::label('name','PTT Extension:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='The station extension that the PTT Configuration is linked to. '><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select name="ptt_extension" id="ptt_extension" class="form-control" style="width: 200px;">
	  @foreach($ptt_stations as $ptt_station)
    <option value="{{ $ptt_station->extension }}" 
    		@if( $mixer_config->extension == $ptt_station->extension)
       		 	selected="selected"
            @endif
       >{{ $ptt_station->extension }} - {{ $ptt_station->name }}</option>
	@endforeach
	</select>
</div>
</div>

<div id="ptt_zones_div">
<div class="form-group">
<input name="pttZones" id="pttZones" type="hidden" value="<?php echo $pttZones;?>">
{!! Form::label('name','Push To Talk Zone:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $mixer_config_help->ptt_zones;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select name="ptt_zones" id="ptt_zones" class="form-control" style="width: 200px;">
	</select>
</div>
</div>
	
<div class="form-inline">
	{!! Form::label('name','IP Address:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='Current IP Address of device.'><i class='fa fa-lg fa-info-circle'></i></a><br>
	{!! Form::text('ip_address',$station_ip_address,['class' => 'form-control','style' => 'width: 200px', 'disabled']) !!}&nbsp;&nbsp;&nbsp;<?php if(ip2long($station_ip_address)==0){  echo ''; } else { echo '<a href="http://'.$station_ip_address.'" target="_blank" class="btn btn-primary" role="button"><i class=\'fa fa-external-link\'></i></a>';} ?>
</div>

<hr>
<div class="form-group">
	<?php if($amp_id>0){ ?>
		<a href="/amplifier" class="btn btn-default" role="button"><i class='fa fa-times'></i> Cancel</a>
	<?php } else { ?> 
    	<a href="/station/<?php echo $station_id; ?>/edit" class="btn btn-default" role="button"><i class='fa fa-times'></i> Cancel</a>
	<?php } ?> 
    <button class="btn btn-success" type="submit" onclick="this.disabled=true;forms[0].submit();"><i class="fa fa-floppy-o"></i> Save</button>
</div>

</div> <!-- end column 1 -->

</div> <!-- end row -->
@section('footer')

<script>
window.onload = function() {  
	var ptt_type = document.getElementById("ptt_type").value;
	if(ptt_type =='Zone-Page' || ptt_type =='Record-Zone-Page') {
		get_ptt_zones();
		document.getElementById('ptt_zones').value = '';
		document.getElementById('ptt_zones_div').style.display = 'block';
	} else {
		document.getElementById('ptt_zones_div').style.display = 'none';
		document.getElementById('ptt_zones').value = '';
	}
	if(ptt_type =='Line-Output') {
		document.getElementById("ptt_src_to_out_button").disabled = true;
		$(".ptt_src_to_out-btn").find('.selection').text('Analog');
  		$(".ptt_src_to_out-btn").find('.selection').val('Analog');
	}
	if(ptt_type =='Record-Zone-Page') {
		document.getElementById('ptt_src_to_out_div').style.display = 'none';
		document.getElementById('ptt_src_to_out').value = 'Network';
	}
	var amp_id = document.getElementById("amp_id").value;
	if(amp_id==0){
	   	document.getElementById('ptt_output_div').style.display = 'none';
		document.getElementById('ptt_stations_div').style.display = 'none';
	}
	var ptt_src_to_out = document.getElementById("ptt_src_to_out").value;
	if(ptt_src_to_out=='Network'){
		document.getElementById('ptt_output_div').style.display = 'none';
		document.getElementById('ptt_output').value = 'None';	
	}
}
	
// ptt_channel drop down 
$(".ptt-channel-action").click(function(){
	$(this).parents(".ptt-channel-btn").find('.selection').text($(this).text());
	$(this).parents(".ptt-channel-btn").find('.selection').val($(this).data('value'));
	document.getElementById("ptt_channel").value = $(this).data('value');
	$('.open').removeClass('open');
	return false;
});
// ptt_type drop down 
$(".ptt-type-action").click(function(){
	$(this).parents(".ptt-type-btn").find('.selection').text($(this).text());
	$(this).parents(".ptt-type-btn").find('.selection').val($(this).data('value'));
	document.getElementById("ptt_type").value = $(this).data('value');
	if($(this).data('value')=='Zone-Page' || $(this).data('value')=='Record-Zone-Page') {
		get_ptt_zones();
		document.getElementById('ptt_zones').value = '';
		document.getElementById('ptt_zones_div').style.display = 'block';
	} else {
		document.getElementById('ptt_zones_div').style.display = 'none';
		document.getElementById('ptt_zones').value = '';
	}
	if($(this).data('value')=='Line-Output') {
		document.getElementById("ptt_src_to_out_button").disabled = true;
		$(".ptt_src_to_out-btn").find('.selection').text('Analog');
  		$(".ptt_src_to_out-btn").find('.selection').val('Analog');
		document.getElementById('ptt_src_to_out').value = 'Analog';
	} else {
		document.getElementById("ptt_src_to_out_button").disabled = false;
	}
	if($(this).data('value')=='Record-Zone-Page') {
		document.getElementById('ptt_src_to_out_div').style.display = 'none';
		$(".ptt_src_to_out-btn").find('.selection').text('Network');
  		$(".ptt_src_to_out-btn").find('.selection').val('Network');
		document.getElementById('ptt_src_to_out').value = 'Network';
	} else {
		document.getElementById('ptt_src_to_out_div').style.display = 'block';
	}
	$('.open').removeClass('open');
	return false;
});
// ptt_src_to_out drop down 
$(".ptt_src_to_out-action").click(function(){
	$(this).parents(".ptt_src_to_out-btn").find('.selection').text($(this).text());
	$(this).parents(".ptt_src_to_out-btn").find('.selection').val($(this).data('value'));
	document.getElementById("ptt_src_to_out").value = $(this).data('value');
	
	var station_device_type = document.getElementById("station_device_type").value;
	
	if($(this).data('value')=='Network'){
		document.getElementById('ptt_output_div').style.display = 'none';
		$(".ptt_output_button").find('.selection').val('None');
		document.getElementById('ptt_output').value = 'None';	
	} else if(station_device_type!=13){ // when choosing Analog - only show PTT Output field for PAMA not MMPA
		document.getElementById('ptt_output_div').style.display = 'block';
	}
	$('.open').removeClass('open');
	return false;
});
// ptt_output drop down 
$(".ptt_output-action").click(function(){
	$(this).parents(".ptt_output-btn").find('.selection').text($(this).text());
	$(this).parents(".ptt_output-btn").find('.selection').val($(this).data('value'));
	document.getElementById("ptt_output").value = $(this).data('value');
	$('.open').removeClass('open');
	return false;
});
// select2 ptt_zones
$('#ptt_zones').select2({
		
});
// select2 ptt_extension
$('#ptt_extension').select2({
		
});
// bootstrap-table settings
$('#channels_table').bootstrapTable({
    search: false,
	striped: false,
	classes: 'table',
	showToggle: false,
	trimOnSearch: false,
});
// Flash message
$('div.alert').delay(3000).slideUp(300);
// tooltip 
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
// get Push To Talk Zones
function get_ptt_zones() {
	
	var ptt_type = document.getElementById("ptt_type").value;
	var pttZones = document.getElementById("pttZones").value;
			
	var xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			//console.log(xmlhttp.responseText);			
			var zonesArray = xmlhttp.responseText.split(",");
			var zones_data = [];
			var x = 0;
			var y = 1;
			var len =  zonesArray.length;
			
			for (x; x < len; x++) {
				var data = zonesArray[x];
				var data2 = data.split(";");
				zones_data.push({ id: data2[0], text: 'Zone-'+data2[0]+': ' +data2[1]});
			}
			 	
			// clear current options
			$('#ptt_zones').empty();
		
			// initialize select2 and load the data
			$('#ptt_zones').select2({
					data: zones_data
			});	
					
			$("#ptt_zones").val([pttZones]).trigger('change');
        }
    }
    xmlhttp.open("GET",'/mixer_config/get_ptt_zones/' + ptt_type +'&'+ pttZones ,true);
    xmlhttp.send();	
}
</script>

@stop