@extends('app')

@section('station_active', 'class="active"')

@section('content')
<input name="show_reboot_popup" id="show_reboot_popup" type="hidden" value="<?php echo $show_reboot_popup;?>">
<input name="scroll_to_top" id="scroll_to_top" type="hidden" value="0">
<input name="script_mode" id="script_mode" type="hidden" value="<?php echo $script_mode; ?>">
<input name="status_mode" id="status_mode" type="hidden" value="<?php echo $status_mode; ?>">
<h3><i class="fa fa-<?php if($status_mode==1 || $status_mode==2) { echo 'check-circle-o'; } else { echo $product_feature->glyph_name; } ?>"></i>&nbsp;&nbsp;<?php if($status_mode==1) { echo $product_feature->label_plural. ' Status'; } else if($status_mode==2){ echo 'Appliance Status'; } else { echo $product_feature->label_plural; } ?>&nbsp;&nbsp;@can('create_stations')<a href="/station/create" class="btn btn-success" role="button"><i class='fa fa-plus'></i></a> &nbsp;&nbsp;<a href="/help/topics/#t=<?php echo $topicurl; ?>" target="_blank" class="btn btn-primary" role="button"><i class='fa fa-lg fa-question-circle'></i></a>
@endcan </h3>@can('view_paging_exclusions')<button type="button" style="margin-bottom:10px; margin-right:10px;min-width:150px;" name="pageExclusionButton" id="pageExclusionButton" class="btn btn-primary" onclick="pageExclusions()"><i class='fa fa-ban'></i> Page Exclusion</button>@endcan<?php if($status_mode==0) { ?><button style="margin-bottom:10px; margin-right:10px;min-width:150px;" type="button" name="statusButton" id="statusButton" class="btn btn-primary" onclick="show_status_view()"><i class='fa fa-check-circle-o'></i> Stations Status</button>@can('create_stations')<button type="button" name="newStationsButton" id="newStationsButton" class="btn btn-primary" style="margin-bottom:10px; margin-right:10px;min-width:150px;" onclick="new_stations_button()"><i class='fa fa-phone'></i> New Stations</button>@endcan<?php }?><?php if($status_mode==1 || $status_mode==2) { ?><button type="button" name="stationsButton" id="stationsButton" class="btn btn-primary" style="margin-bottom:10px; margin-right:10px;min-width:150px;" onclick="show_stations_list()"><i class='fa fa-phone'></i> Stations</button><button type="button" name="refreshButton" id="refreshButton" class="btn btn-primary" style="margin-bottom:10px; margin-right:10px;min-width:150px;" onclick="refresh_button()"><i class='fa fa-refresh'></i> Refresh</button><br>
<span id="script_response_text"></span> <?php }?>
<?php if(!$status_mode>0) { ?>
<button style="margin-bottom:10px; margin-right:10px;min-width:150px;" type="button" name="appliancesButton" id="appliancesButton" class="btn btn-primary" onclick="show_appliance_view()"><i class='fa fa-check-circle-o'></i> Appliance Status</button><?php } ?>
<div class="row">
<?php if($status_mode==1){ $column_width='12'; } else { $column_width='12'; } ?>
        <div class="col-md-<?php echo $column_width; ?>">
          <table id="stations_table" class="table table-striped">
            <thead>
              <tr>
             	<th class="text-nowrap" data-align="center" data-width="50"></th>
                <th class="text-nowrap" data-sortable="true" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->extension;?>"><strong>Extension</strong></a></th>
                <th class="text-nowrap" data-sortable="true" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->name;?>"><strong>Name</strong></a></div></th>
                <?php if($status_mode==0){ ?>
                <th data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->description;?>"><strong>Description</strong></a></th>
                <th class="text-nowrap" data-sortable="true"  data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->type;?>"><strong>Type</strong></a></div></th>
                <th class="text-nowrap" data-sortable="true"  data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->device_type;?>"><strong>Device Type</strong></a></th>
				  <th data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->mac_address;?>"><strong>MAC Address</strong></a></div></th>
                 <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->serial_number;?>"><strong>Serial Number</strong></a></th>
                <th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->facility;?>"><strong>Facility</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->day_cos;?>"><strong>Day CoS</strong></a></th>
                <th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->night_cos;?>"><strong>Night CoS</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->day_admin;?>"><strong>Day {{ $product_feature_admin->label }}</strong></a></th>
                <th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->night_admin;?>"><strong>Night {{ $product_feature_admin->label }}</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->admin_group;?>"><strong>{{ $product_feature_admin_group->label }}</strong></a></th>
				<th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->allowed;?>"><strong>Codecs Allowed</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->vm_forcename;?>"><strong>Force Name</strong></a></th>
                <th  class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->vm_forcegrettings;?>"><strong>Force Greeting</strong></a></div></th>
                <th data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->has_call_recording;?>"><strong>Call Recording</strong></a></th>
                <th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->has_paging;?>"><strong>Paging</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->has_multicast_audio;?>"><strong>Audio Distribution to All Speakers</strong></a></th>
                <th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->outside_access;?>"><strong>Outside Access</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->col911_route;?>"><strong>911 Route</strong></a></th>
                <th data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->auth_code;?>"><strong>Auth Code</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->spkr_ext;?>"><strong>Speaker Extension</strong></a></th>
			  	<th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->intercom_volume;?>"><strong>Intercom Cut Level (dB)</strong></a></th>
				<th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->load_impedance;?>"><strong>Load Impedance</strong></a></div></th>
				  <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->output_power;?>"><strong>Output Power</strong></a></th>
			  	<th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->talkback_gain;?>"><strong>Talkback Gain</strong></a></div></th>
				  <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->vlan_config;?>"><strong>VLAN Configuration</strong></a></th>
				<th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->vlan_id;?>"><strong>VLAN ID</strong></a></div></th>
			  <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->priority_802_1p;?>"><strong>VLAN Priority</strong></a></th>
			<th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->gateway_id;?>"><strong>Bridge Device</strong></a></div></th>
			  <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->gateway_port;?>"><strong>Bridge Port</strong></a></th>
			<th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->web_username;?>"><strong>Web Username</strong></a></div></th>
               <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->fw_filename;?>"><strong>Firmware</strong></a></th>
			<th data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->schools_sites;?>"><strong><?php echo $product_feature_settings->label_plural; ?></strong></a></div></th>
				  <th data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->maps;?> <?php if($maps_license_check==1){} else { echo 'This feature is not offered with the current license.'; } ?>"><strong>Maps</strong></a></th>
				  <th data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->queue_zone;?>"><strong>Queue Zone</strong></a></div></th>
				  <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->announcements_zone;?>"><strong>Announcement Zone</strong></a></th>
				  <th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->announcements_zone_config_type;?>"><strong>Announcement Zone Configuration Type</strong></a></div></th>
				  <th class="text-nowrap" data-align="center"><div style="min-width: 200px;"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->external_relay_trigger;?>"><strong>External Relay Trigger</strong></a></div></th>
                <?php } ?>
                <?php if($status_mode==1 || $status_mode==2){ ?>
                <th class="text-nowrap" data-sortable="true"  data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->device_type;?>"><strong>Device Type</strong></a></th>
                <th class="text-nowrap" data-sortable="true" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->status;?>"><strong>Status</strong></a></th>
			<th class="text-nowrap" data-align="center"><div class="gray-background"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="<?php echo $station_help->ip_address;?>"><strong>IP Address</strong></a></div></th>
                <th class="text-nowrap" data-align="center"><a onmouseover="scrollToTop();" data-toggle="tooltip" title="External link to station IP Address.">
                <strong>Link</strong></a></th>
                 @can('edit_stations')
                <th class="text-nowrap" data-align="center">Action</th>
                @endcan
                <?php } ?>
            </thead>
            <tbody>
            @foreach ($stations as $station)
              <tr>
              <td class="text-nowrap" data-align="center"><div class="button-container">
                @can('edit_stations')<a href="{{ action('StationController@edit', [$station->id]) }}" class="btn btn-xs btn-primary" role="button"><i class='fa fa-pencil'></i></a> @endcan
                &nbsp;&nbsp;
					@can('delete_stations')<button type="button" class="btn btn-xs btn-danger" data-toggle="modal" data-target=".modal{!! $station->id !!}">				<i class='fa fa-trash-o'></i></button> @endcan
					<!--  modal -->
                    <?php if($station->extension==$emergency_link){
						
						$model_text = 'Are you sure you want to delete '. $product_feature->label.' '. $station->extension .'?<br>This '. $product_feature->label .' is set as the System Emergency Link.<br>If you delete this '. $product_feature->label .' the System Emergency Link will be set to 999.';
					} else if($station->device_type==15){
						$model_text = 'Are you sure you want to delete '. $product_feature->label.' '. $station->extension .'?<br><br>Deleting an IO Controller will also remove all of it\'s rules.';
					} else if($station->device_type==50 && $station->gateway_port==1){
						$model_text = 'Are you sure you want to delete '. $product_feature->label.' '. $station->extension .'?<br><br>If you delete this station, the TA2400 will no longer be<br>configured by the Nyquist system.';
					} else {
						$model_text = 'Are you sure you want to delete '. $product_feature->label.' '. $station->extension .'?';
					}?>
					<div class="modal bs-example-modal-sm modal{!! $station->id !!}" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" data-backdrop="static" data-keyboard="false">
 						<div class="modal-dialog">
   						<div class="modal-content">
   							 <div class="modal-header">
       							<h4 class="modal-title"><p align="center">{{ $product_feature->label }}</p></h4>
     							</div>
     							<div class="modal-body"><?php echo $model_text; ?>
     							</div>
     							<div class="modal-footer">
       							<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
       							{!! Form::open(['method' => 'DELETE', 'route' => ['station.destroy', $station->id]]) !!}
                           			{!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
                    				{!! Form::close() !!}
     							</div>
   						</div>
 						</div>						
                       </div>
                       <!--  end modal -->
                        </div>
                        </td>
              	<td class="text-nowrap" data-align="center">{{ $station->extension}}</td>
                <td class="text-nowrap" data-align="center">{{ $station->station_name}}</td>
                <?php if($status_mode==0){ ?>
                <td class="text-nowrap" data-align="center"><a type="button" class="btn btn-xs btn-default" data-toggle="tooltip" data-placement="top" title="{{ $station->station_description}}">Show</a></td>
                <td class="text-nowrap" data-align="center">{{ $station->type_name}}</td>
                <td class="text-nowrap" data-align="center">{{ $station->device_type_name}}</td>
                <td class="text-nowrap" data-align="center"><?php if($station->mac_address==''){ echo 'None';} else {echo $station->mac_address;}?></td>
                 <td class="text-nowrap" data-align="center"><?php if($station->serial_number==''){ echo 'None';} else {echo $station->serial_number;}?></td>
                <td class="text-nowrap" data-align="center">{{ $station->facility_name}}</td>
                <td class="text-nowrap" data-align="center">{{ $station->day_cos_name}}</td>
                <td class="text-nowrap" data-align="center">{{ $station->night_cos_name}}</td>
                <td class="text-nowrap" data-align="center">
                @if(!in_array($station->type_id, array(1,2,3,21,22)))
                {{ $station->day_admin}}
                @else
                None
                @endif
                </td>
                <td class="text-nowrap" data-align="center">
                @if(!in_array($station->type_id, array(1,2,3,21,22)))
                {{ $station->night_admin}}
                @else
                None
                @endif
                </td>
                <td class="text-nowrap" data-align="center"><?php if($station->admin_group>0){ echo $station->admin_group_name; } else { echo 'None';}?></td>
                <td class="text-nowrap" data-align="center">
                <?php $codecs_allowed = str_replace(';',', ',$station->codec_list );?>
                <button type="button" class="btn btn-xs btn-default" data-toggle="tooltip" data-placement="top" title="{{ $codecs_allowed }}">Show</button>
    			</td>
                <td class="text-nowrap" data-align="center"><?php if($station->forcename=='yes'){echo '<span class="label label-success">Yes</span>';}else{echo '<span class="label label-danger">No</span>';}?></td>
                <td class="text-nowrap" data-align="center"><?php if($station->forcegreetings=='yes'){echo '<span class="label label-success">Yes</span>';}else{echo '<span class="label label-danger">No</span>';}?></td>
                <td class="text-nowrap" data-align="center"><?php if($station->has_call_recording==1){echo '<span class="label label-success">Yes</span>';}else{echo '<span class="label label-danger">No</span>';}?></td>
                <td class="text-nowrap" data-align="center"><?php if($station->has_paging==1){echo '<span class="label label-success">Yes</span>';}else{echo '<span class="label label-danger">No</span>';}?></td>
                <td  align="center"><?php if($station->has_multicast_audio==1){echo '<span class="label label-success">Yes</span>';}else{echo '<span class="label label-danger">No</span>';}?></td>
                <td class="text-nowrap" data-align="center">{{ $station->outside_access_type_name}}</td>
                <td class="text-nowrap" data-align="center">{{ $station->col911_route }}</td>
                <td class="text-nowrap" data-align="center">{{ $station->auth_code }}</td>
                <td class="text-nowrap" data-align="center"><?php if($station->spkr_ext==''){echo 'None';} else {echo $station->spkr_ext;}?></td>
                <td class="text-nowrap" data-align="center">{{ $station->intercom_volume }}</td>
				<td class="text-nowrap" data-align="center"><?php echo ucfirst($station->load_impedance); ?></td> 
				<td class="text-nowrap" data-align="center"><?php echo $station->output_power; ?></td> 
                <td class="text-nowrap" data-align="center">{{ $station->talkback_gain }}</td>
                <td class="text-nowrap" data-align="center"><?php if($station->vlan_config=='network'){ echo 'Network/Device';} else { echo ucfirst($station->vlan_config); }?></td>
                <td class="text-nowrap" data-align="center"><?php if($station->vlan_config=='server'){ echo $station->vlan_id; }else{ echo 'None';} ?></td>
                <?php 
				$vlanPriorityName=''; 
				$priority_802_1p = $station->priority_802_1p; 						  
				if($station->vlan_config=='server'){ 
					if (isset($vlan_priorities[$priority_802_1p])) {
						$vlanPriorityName = $priority_802_1p . ' - ' . $vlan_priorities[$priority_802_1p];
					}
				} else { 
						$vlanPriorityName = 'None';
				}?>											   
              	<td class="text-nowrap" data-align="center"><?php echo $vlanPriorityName; ?></td>
                <td class="text-nowrap" data-align="center"><?php if($station->gateway_id>0){ echo $station->gateway_name; } else { echo 'None';}?></td>
                <td class="text-nowrap" data-align="center">{{ $station->gateway_port }}</td>
                <td class="text-nowrap" data-align="center">{{ $station->web_username }}</td>
                <td class="text-nowrap" data-align="center"><?php if($station->fw_filename ==''){ echo 'None';} else { echo $station->fw_filename;}?></td>
				 <?php 	  
					$site_text = '';
					$schoolsArray = explode(',',$station->schools_sites);
					$total = count($schoolsArray);
					$i=1;
					foreach($schedule_settings as $site){
						if($total==$i){
							$comma = '';
						} else {
							$comma = ', ';
						}
						if(in_array($site->id, $schoolsArray)){
							$site_text .= $site->name . $comma;
							$i++;
						}
					}
				?>
				<td class="text-nowrap" data-align="center"><a type="button" class="btn btn-xs btn-default" data-toggle="tooltip" data-placement="top" title="{{ $site_text}}">Show</a></td>
				   <?php 	  
					$maps_text = '';
					$mapsArray = explode(',',$station->maps);
					$total = count($mapsArray);
					$i=1;
					foreach($maps as $map){
						if($total==$i){
							$comma = '';
						} else {
							$comma = ', ';
						}
						if(in_array($map->id, $mapsArray)){
							$maps_text .= $map->name . $comma;
							$i++;
						}
					}
				?>
				<td class="text-nowrap" data-align="center"><a type="button" class="btn btn-xs btn-default" data-toggle="tooltip" data-placement="top" title="{{ $maps_text}}">Show</a></td>
				<td class="text-nowrap" data-align="center"><?php if($station->queue_zone==''){echo 'None';} else {echo $station->queue_zone;}?></td> 
				<td class="text-nowrap" data-align="center"><?php if($station->announcements_zone==''){echo 'None';} else if($station->announcements_zone=='0'){ echo 'All Speakers';} else {echo $station->announcements_zone;}?></td> 
				<td class="text-nowrap" data-align="center"><?php echo $station->announcements_zone_config_type; ?></td> 
				<td class="text-nowrap" data-align="center"><?php echo $station->external_relay_trigger; ?></td>
                <?php } ?>
                <?php if($status_mode==1 || $status_mode==2){ ?>
                <?php
				$color = "black";
				switch (trim($station->status)) {
    				case "Unknown":
        				$color = "orange";
        			break;
					case "Not in use":
        				$color = "green";
        			break;
					case "In use":
        				$color = "green";
        			break;
					case "Busy":
        				$color = "orange";
        			break;
					case "Invalid":
        				$color = "red";
        			break;
					case "Unavailable":
        				$color = "red";
        			break;
					case "Ringing":
        				$color = "green";
        			break;
					case "Ring+Inuse":
        				$color = "green";
        			break;
					case "On Hold":
        				$color = "green";
        			break;
    				default:
        				$color = "black";
				}?>
                <td class="text-nowrap" data-align="center">{{ $station->device_type_name}}</td>
                <td class="text-nowrap" data-align="center"><font color="<?php echo $color; ?>">{{ $station->status }}</font></td>
                <td class="text-nowrap" data-align="center">{{ $station->ip_address }}</td>
                <?php $station_type_enum_ids = [1,5,7,9,10,11,12,13,14,15,18,21,22,23,24,25,26,27,28]; ?>
                <td><?php if($station->ip_address=='Unknown'){  echo 'Unknown'; } else if(in_array($station->type_id, $station_type_enum_ids)){ echo '<a href="http://'.$station->ip_address.'" target="_blank" class="btn btn-xs btn-primary" role="button"><i class=\'fa fa-external-link\'></i></a>';} ?></td>
                @can('edit_stations')
                <td class="text-nowrap" data-align="center">
                	<?php if(in_array($station->device_type, [10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29]) && $station->ip_address!='Unknown'){  echo '<button onClick="nyquistReboot(\''.$station->extension.'\');" class="btn btn-xs btn-primary"><i class=\'fa fa-power-off\'></i> Reboot</button>'; } else { } ?></td>
                @endcan
                <?php } ?>
              </tr>
              @endforeach
             <?php if($status_mode==2){ ?>
              @foreach ($gateways as $gateway)
              <tr>
             
                <?php
				$color = "black";
				switch (trim($gateway->status)) {
    				case "Unknown":
        				$color = "orange";
        			break;
					case "Not in use":
        				$color = "green";
        			break;
					case "In use":
        				$color = "green";
        			break;
					case "Busy":
        				$color = "orange";
        			break;
					case "Invalid":
        				$color = "red";
        			break;
					case "Unavailable":
        				$color = "red";
        			break;
					case "Ringing":
        				$color = "green";
        			break;
					case "Ring+Inuse":
        				$color = "green";
        			break;
					case "On Hold":
        				$color = "green";
        			break;
    				default:
        				$color = "black";
				}?>
                <td class="text-nowrap" data-align="center"><div class="button-container">
                @can('edit_gateways')<a href="{{ action('GatewayController@edit', [$gateway->id]) }}" class="btn btn-xs btn-primary" role="button"><i class='fa fa-pencil'></i></a> @endcan
                &nbsp;&nbsp;
					@can('delete_gateways')<button type="button" class="btn btn-xs btn-danger" data-toggle="modal" data-target=".asb_modal{!! $gateway->id !!}">				<i class='fa fa-trash-o'></i></button> @endcan
					<!--  modal -->
        
					<div class="modal bs-example-modal-sm asb_modal{!! $gateway->id !!}" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" data-backdrop="static" data-keyboard="false">
 						<div class="modal-dialog">
   						<div class="modal-content">
   							 <div class="modal-header">
       							<h4 class="modal-title"><p align="center">Bridge Device</p></h4>
     							</div>
     							<div class="modal-body">
     								Are you sure you want to delete Bridge Device {{ $gateway->name }}?<br>
     								<strong>All linked bridge device stations will be deleted.</strong>
     							</div>
     							<div class="modal-footer">
       							<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
       							{!! Form::open(['method' => 'DELETE', 'route' => ['gateway.destroy', $gateway->id]]) !!}
                           			{!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
                    				{!! Form::close() !!}
     							</div>
   						</div>
 						</div>						
                       </div>
                       <!--  end modal -->
                        </div>
                        </td>
                <td class="text-nowrap" data-align="center">n/a</td>
                <td class="text-nowrap" data-align="center">{{ $gateway->name }}</td>
                <td class="text-nowrap" data-align="center">NQ-E7030-Analog Station Bridge</td>
                <td class="text-nowrap" data-align="center"><font color="<?php echo $color; ?>">{{ $gateway->status }}</font></td>
                <?php $ip_address_conv = long2ip($gateway->ip_address); ?>
                <td class="text-nowrap" data-align="center"><?php if($gateway->ip_address==0){ echo 'Unknown';} else { echo $ip_address_conv; } ?></td>
                <td><?php if($gateway->ip_address==0){  echo 'Unknown'; } else { echo '<a href="http://'.$ip_address_conv.'" target="_blank" class="btn btn-xs btn-primary" role="button"><i class=\'fa fa-external-link\'></i></a>';} ?></td>
                <td class="text-nowrap" data-align="center">
                @can('edit_gateways')
                	<?php if($gateway->ip_address!='0'){  echo '<button onClick="nyquistRebootASB('.$gateway->id.');" class="btn btn-xs btn-primary"><i class=\'fa fa-power-off\'></i> Reboot</button>'; } else { } ?>
                @endcan
                	 </td>
              </tr>
              @endforeach
               <?php } ?>
				 <?php if($status_mode==2){ ?>
              @foreach ($amplifiers as $amplifier)
              <tr>
                <?php
				$color = "black";
				switch (trim($amplifier->status)) {
    				case "Unknown":
        				$color = "orange";
        			break;
					case "Not in use":
        				$color = "green";
        			break;
					case "In use":
        				$color = "green";
        			break;
					case "Busy":
        				$color = "orange";
        			break;
					case "Invalid":
        				$color = "red";
        			break;
					case "Unavailable":
        				$color = "red";
        			break;
					case "Ringing":
        				$color = "green";
        			break;
					case "Ring+Inuse":
        				$color = "green";
        			break;
					case "On Hold":
        				$color = "green";
        			break;
    				default:
        				$color = "black";
				}?>
                <td class="text-nowrap" data-align="center"><div class="button-container">
                @can('edit_amplifiers')<a href="{{ action('AmplifierController@edit', [$amplifier->id]) }}" class="btn btn-xs btn-primary" role="button"><i class='fa fa-pencil'></i></a> @endcan
                &nbsp;&nbsp;
					@can('delete_amplifiers')<button type="button" class="btn btn-xs btn-danger" data-toggle="modal" data-target=".amp_modal{!! $amplifier->id !!}">				<i class='fa fa-trash-o'></i></button> @endcan
					<!--  modal -->
        
					<div class="modal bs-example-modal-sm amp_modal{!! $amplifier->id !!}" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" data-backdrop="static" data-keyboard="false">
 						<div class="modal-dialog">
   						<div class="modal-content">
   							 <div class="modal-header">
       							<h4 class="modal-title"><p align="center">Amplifier</p></h4>
     							</div>
     							<div class="modal-body">
     								Are you sure you want to delete Amplifier {{ $amplifier->name }}?<br>
     								<strong>All linked Amplifier Device stations will be deleted.</strong>
     							</div>
     							<div class="modal-footer">
       							<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
       							{!! Form::open(['method' => 'DELETE', 'route' => ['amplifier.destroy', $amplifier->id]]) !!}
                           			{!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
                    				{!! Form::close() !!}
     							</div>
   						</div>
 						</div>						
                       </div>
                       <!--  end modal -->
                        </div>
                        </td>
                <td class="text-nowrap" data-align="center">n/a</td>
                <td class="text-nowrap" data-align="center">{{ $amplifier->name }}</td>
                <td class="text-nowrap" data-align="center">{{ $amplifier->device_type_name }}</td>
                <td class="text-nowrap" data-align="center"><font color="<?php echo $color; ?>">{{ $amplifier->status }}</font></td>
                <?php $ip_address_conv = long2ip($amplifier->ip_address); ?>
                <td class="text-nowrap" data-align="center"><?php if($amplifier->ip_address==0){ echo 'Unknown';} else { echo $ip_address_conv; } ?></td>
                <td><?php if($amplifier->ip_address==0){  echo 'Unknown'; } else { echo '<a href="http://'.$ip_address_conv.'" target="_blank" class="btn btn-xs btn-primary" role="button"><i class=\'fa fa-external-link\'></i></a>';} ?></td>
                <td class="text-nowrap" data-align="center">
                @can('edit_amplifiers')
                	<?php if($amplifier->ip_address!='0'){  echo '<button onClick="nyquistRebootAmplifier('.$amplifier->id.');" class="btn btn-xs btn-primary"><i class=\'fa fa-power-off\'></i> Reboot</button>'; } else { } ?>
                @endcan
                	 </td>
              </tr>
              @endforeach
               <?php } ?>
            </tbody>
          </table>
        </div>
        
 <!-- start show_reboot_popup modal -->
 <div id="show_reboot_popupModal" class="modal bs-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="show_reboot_popupModal" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
    	<div class="modal-header">
                    <h4 class="modal-title"><p align="center">Stations</p></h4>
                </div>
        <div class="modal-body">
        <p id="show_reboot_popup-modal-message" align="center"></p>
        </div>
        <div class="modal-footer">
           <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
        </div>
  </div>
</div>
</div>
 <!--end show_reboot_popup modal -->
	
 <!-- start connection_failure modal -->
 <div id="failureModal" class="modal bs-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="failureModal" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
    	<div class="modal-header">
                    <h4 class="modal-title"><p align="center">Connnection Failure</p></h4>
                </div>
        <div class="modal-body">
        <p align="center">Connection to server failed. IP Address and Status fields not updated, current values may not be accurate. Ensure that the server is running and try again.</p>
        </div>
        <div class="modal-footer">
           <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
        </div>
  </div>
</div>
</div>
 <!--end connection_failure modal -->
@stop

@section('title')
	{{ $product_feature->label_plural }}

@stop

@section('footer')
 <script>
 // calculate the table height
 var document_height = window.innerHeight;
 var table_height = parseInt(document_height-250);
	
 $(document).ready(function() { // start ready function
  	
	if(document.getElementById("script_mode").value==1 || document.getElementById("script_mode").value==3){
		run_status_script();
	}
// end ready function	
 });
 window.onload = function() { 
// On page load check for reboot popup
var show_reboot_popup = document.getElementById("show_reboot_popup").value;
	if(show_reboot_popup==1){	
		$("#show_reboot_popup-modal-message").text('Station will be rebooted.');
		$('#show_reboot_popupModal').modal('show');
	}
}
 // show status list view
 function show_status_view(){
	 
	window.location.href = '/station/status/1';	 
 }
 // show status list view
 function show_appliance_view(){
	 
	window.location.href = '/station/status/3';	 
 }
 // show stations lsit view
 function show_stations_list(){
	 
	 window.location.href = '/station';
 }
// refresh button
function refresh_button(){
	
	run_status_script();
	
}
// run status script
  function run_status_script(){
	  
	  refreshButton.disabled = true;
	  var status_mode = document.getElementById("status_mode").value;
	  
	  // start activitiy indicator
  		document.getElementById("script_response_text").innerHTML = '<i class="fa fa-refresh fa-spin fa-fw margin-bottom"></i>&nbsp;Processing ...';
	  
	  var xmlhttp=new XMLHttpRequest();
    	xmlhttp.onreadystatechange=function() {
        	if (xmlhttp.readyState==4 && xmlhttp.status==200) {
				// success 
				// console.log(xmlhttp.responseText);
				// refresh
				
				if(xmlhttp.responseText!='0'){
				   // show modal
				   $('#failureModal').modal('show');
					refreshButton.disabled = false;
					document.getElementById("script_response_text").innerHTML = '';
					
				 } else {
				   if(status_mode==1){
					window.location.href = '/station/status/0';
					}
					if(status_mode==2){
					window.location.href = '/station/status/2';
					}
				 }
        	}
		}
	 	xmlhttp.open("GET","/station/status_script/",true);
   		xmlhttp.send();
	  
 }
 function pageExclusions(){
	 
	 window.location.href = '/paging_exclusion';
 }
// Flash message
		$('div.alert').delay(5000).slideUp(300);
// tool tip 
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
}).on('show.bs.tooltip', function () {
		var table_object = $('#stations_table').bootstrapTable('getOptions');
	    var cardView = table_object.cardView;
		var scroll_to_top = document.getElementById("scroll_to_top").value;
		//console.log(cardView);
		if(cardView==false && scroll_to_top==1){ // only scroll if in list view
			$('#stations_table').bootstrapTable('scrollTo','0');
		}
		document.getElementById("scroll_to_top").value = 0;
})
// bootstrap-table settings
$('#stations_table').bootstrapTable({
    search: true,
	height: table_height,
	striped: false,
	classes: 'table',
	showToggle: true,
	pagination: true,
	pageSize: 50,
	pageList: [10, 25, 50, 100],
	trimOnSearch: false,
}).on('sort.bs.table', function (e, name, order) {
	
	var isMobile = navigator.userAgent.match(/(iPhone|iPad|Android)/);
	if(isMobile){
		setTimeout(function(){
			$('.tooltip').hide(); // hide tooltip when sorting											
		}, 3000);
	} else {
		$('.tooltip').hide(); // hide tooltip when sorting	
	}
}).on('all.bs.table', function (e, name, order) {
	tooltipExe() // reactivates tooltips after sorting or swithcing to cardview
}).on('click-row.bs.table', function (e, row, $element) { // change row color to blue on click
    		$('.info').removeClass('info');
    		$($element).addClass('info');
});
function tooltipExe(){
	$('[data-toggle="tooltip"]').tooltip()
};
function new_stations_button(){
	
	window.location.href = '/new_station';
	 
}
function nyquistReboot(extension){
	
	 var xmlhttp=new XMLHttpRequest();
    	xmlhttp.onreadystatechange=function() {
        	if (xmlhttp.readyState==4 && xmlhttp.status==200) {
				// success 
				//alert(xmlhttp.responseText);
				if(xmlhttp.responseText=='1'){
					
					// send growl notification
					$.bootstrapGrowl("Appliance reboot action sent.", {
					  ele: 'body', // which element to append to
					  type: 'success', // (null, 'info', 'error', 'success')
					  offset: {from: 'top', amount: 50}, // 'top', or 'bottom'
					  align: 'right', // ('left', 'right', or 'center')
					  width: 350, // (integer, or 'auto')
					  delay: 10000,
					  allow_dismiss: true,
					  stackup_spacing: 10 // spacing between consecutively stacked growls.
					}); 
				}
        	}
		}
	 	xmlhttp.open("GET","/station/nyquist_reboot/" + extension,true);
   		xmlhttp.send();
	 
}
function nyquistRebootASB(gateway_id){
	
	 var xmlhttp=new XMLHttpRequest();
    	xmlhttp.onreadystatechange=function() {
        	if (xmlhttp.readyState==4 && xmlhttp.status==200) {
				// success 
				//alert(xmlhttp.responseText);
				if(xmlhttp.responseText=='1'){
					
					// send growl notification
					$.bootstrapGrowl("Bridge device reboot action sent.", {
					  ele: 'body', // which element to append to
					  type: 'success', // (null, 'info', 'error', 'success')
					  offset: {from: 'top', amount: 50}, // 'top', or 'bottom'
					  align: 'right', // ('left', 'right', or 'center')
					  width: 350, // (integer, or 'auto')
					  delay: 10000,
					  allow_dismiss: true,
					  stackup_spacing: 10 // spacing between consecutively stacked growls.
					}); 
				}
        	}
		}
	 	xmlhttp.open("GET","/gateway/nyquist_reboot/" + gateway_id,true);
   		xmlhttp.send();
	 
}
function nyquistRebootAmplifier(amplifier_id){
	
	 var xmlhttp=new XMLHttpRequest();
    	xmlhttp.onreadystatechange=function() {
        	if (xmlhttp.readyState==4 && xmlhttp.status==200) {
				// success 
				//alert(xmlhttp.responseText);
				if(xmlhttp.responseText=='1'){
					
					// send growl notification
					$.bootstrapGrowl("Amplifier device reboot action sent.", {
					  ele: 'body', // which element to append to
					  type: 'success', // (null, 'info', 'error', 'success')
					  offset: {from: 'top', amount: 50}, // 'top', or 'bottom'
					  align: 'right', // ('left', 'right', or 'center')
					  width: 350, // (integer, or 'auto')
					  delay: 10000,
					  allow_dismiss: true,
					  stackup_spacing: 10 // spacing between consecutively stacked growls.
					}); 
				}
        	}
		}
	 	xmlhttp.open("GET","/amplifier/nyquist_reboot/" + amplifier_id,true);
   		xmlhttp.send();
	 
}
function scrollToTop(){
	document.getElementById("scroll_to_top").value = 1;
}
</script>
@endsection

