<?php 
// set time zone for data/time display
$tz = $system->time_zone;
if($tz){
	date_default_timezone_set($tz);
}
$data = time()*1000;
?>

<?php $eAllCallVolume = Input::old('eallcall_volume');?>
<?php if($eAllCallVolume==''){$eAllCallVolume = $system->eallcall_volume; } ?>

<?php $allCallVolume = Input::old('allcall_volume');?>
<?php if($allCallVolume==''){$allCallVolume = $system->allcall_volume; } ?>

<?php $audiodistrVolume = Input::old('audiodist_volume');?>
<?php if($audiodistrVolume==''){$audiodistrVolume = $system->audiodist_volume; } ?>

<?php $defaultVolume = Input::old('default_volume');?>
<?php if($defaultVolume==''){$defaultVolume = $system->default_volume; } ?> 

<?php $day_start = $system->day_start;
	$day_start_parts = explode(":", $day_start);
	$day_start_hour = $day_start_parts[0];
	$day_start_minute = $day_start_parts[1];
?>

<?php $night_start = $system->night_start;
	$night_start_parts = explode(":", $night_start);
	$night_start_hour = $night_start_parts[0];
	$night_start_minute = $night_start_parts[1];
?>

<?php $dayStartHours =  Input::old('day_start_hours');?>
<?php if($dayStartHours == ''){$dayStartHours = $day_start_hour; } ?>

<?php $dayStartMinutes =  Input::old('day_start_minutes');?>
<?php if($dayStartMinutes == ''){$dayStartMinutes = $day_start_minute;} ?>

<?php $nightStartHours =  Input::old('night_start_hours');?>
<?php if($nightStartHours == ''){$nightStartHours = $night_start_hour; } ?>

<?php $nightStartMinutes =  Input::old('night_start_minutes');?>
<?php if($nightStartMinutes == ''){$nightStartMinutes = $night_start_minute;} ?>

<?php 
	$hoursArray=array(); 
	for ($x = 0; $x <= 23; $x++) {
		array_push($hoursArray,$x);
	} 
?>
<?php 
	$minutesArray=array(); 
	for ($x = 0; $x <= 59; $x++) {
		array_push($minutesArray,$x);
	} 
?>

<?php $allowLocalEallcallPageInterrupt = Input::old('allow_local_eallcall_page_interrupt_old');?>
<?php if($allowLocalEallcallPageInterrupt==''){$allowLocalEallcallPageInterrupt = $system->allow_local_eallcall_page_interrupt; } ?>

<?php $allowMultisiteEallcallPageInterrupt = Input::old('allow_multisite_eallcall_page_interrupt_old');?>
<?php if($allowMultisiteEallcallPageInterrupt==''){$allowMultisiteEallcallPageInterrupt = $system->allow_multisite_eallcall_page_interrupt; } ?>

<input type="hidden" id="system_view" name="system_view" value="1">

<div class="row">
<div class="col-md-6">

<div class="form-group">
    <a href="/system" class="btn btn-default" role="button"><i class='fa fa-times'></i> Cancel</a>
    <button type="button" class="btn btn-success save-action"><i class="fa fa-floppy-o"></i> Save</button>
</div>

<div class="form-group"> 
	{!! Form::label('name','Name:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->name;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('name',null,['class' => 'form-control','style' => 'width: 60%','maxlength' => '30']) !!}
</div>

<span style="font-weight: bold;">Day Start:</span>&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->day_start;?>'><i class='fa fa-lg fa-info-circle'></i></a>
<div class="row">
<div class="col-md-2">
<div class="form-group">
{!! Form::label('name','Hour:') !!}<br>
   <select name="day_start_hours" id="day_start_hours" class="form-control" style="width: 70px;">
	  @foreach($hoursArray as $hour)
    <option value="{{ $hour }}" 
    		@if($dayStartHours == $hour)
       		 	selected="selected"
            @endif
        >{{ $hour }}</option>
	@endforeach
	</select>
</div> 	
</div>
<div class="col-md-2">
<div class="form-group">
{!! Form::label('name','Minute:') !!}<br>
   <select name="day_start_minutes" id="day_start_minutes" class="form-control" style="width: 70px;">
	  @foreach($minutesArray as $minute)
    <option value="{{ $minute }}" 
    		@if($dayStartMinutes == $minute)
       		 	selected="selected"
            @endif
        >{{ $minute }}</option>
	@endforeach
	</select>
</div> 	
</div>
</div>

<span style="font-weight: bold;">Night Start:</span>&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->night_start;?>'><i class='fa fa-lg fa-info-circle'></i></a>
<div class="row">
<div class="col-md-2">
<div class="form-group">
{!! Form::label('name','Hour:') !!}<br>
   <select name="night_start_hours" id="night_start_hours" class="form-control" style="width: 70px;">
	  @foreach($hoursArray as $hour)
    <option value="{{ $hour }}" 
    		@if($nightStartHours == $hour)
       		 	selected="selected"
            @endif
        >{{ $hour }}</option>
	@endforeach
	</select>
</div> 	
</div>
<div class="col-md-2">
<div class="form-group">
{!! Form::label('name','Minute:') !!}<br>
   <select name="night_start_minutes" id="night_start_minutes" class="form-control" style="width: 70px;">
	  @foreach($minutesArray as $minute)
    <option value="{{ $minute }}" 
    		@if($nightStartMinutes == $minute)
       		 	selected="selected"
            @endif
        >{{ $minute }}</option>
	@endforeach
	</select>
</div> 	
</div>
</div>

{!! Form::label('ip_multicast_rtp','Emergency-All-Call Multicast RTP IP Address:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->ip_multicast_rtp;?>'><i class='fa fa-lg fa-info-circle'></i></a>
<div class="form-group form-inline">
	<input name="ip_multicast_rtp" id="ip_multicast_rtp" type="hidden" value="<?php echo $ip_address; ?>">
    		<input name="multicast_rtp_ip_address_position_1" id="multicast_rtp_ip_address_position_1" type="text" value="<?php echo $parts[0]; ?>" maxlength="3" class="form-control" style="width:50px;">
   		 <input name="multicast_rtp_ip_address_position_2" id="multicast_rtp_ip_address_position_2" type="text" value="<?php echo $parts[1]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="multicast_rtp_ip_address_position_3" id="multicast_rtp_ip_address_position_3" type="text" value="<?php echo $parts[2]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="multicast_rtp_ip_address_position_4" id="multicast_rtp_ip_address_position_4" type="text" value="<?php echo $parts[3]; ?>" maxlength="3" class="form-control" style="width:50px;" ><br>
</div>

 <div class="form-group"> 
 <input name="old_ip_multicast_port" id="old_ip_multicast_port" type="hidden" value='<?php echo $system->ip_multicast_port;?>'>
	{!! Form::label('ip_multicast_port','Emergency-All-Call Multicast RTP Port:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->ip_multicast_port;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('ip_multicast_port',null,['class' => 'form-control','style' => 'width: 100px','maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','Emergency-All-Call Cut Level (dB):') !!}&nbsp;<strong><span id="eallcallVolumeLabel"><?php echo $eAllCallVolume; ?></span></strong>&nbsp;&nbsp;<a data-toggle="tooltip" title="<?php echo $system_help[0]->eallcall_volume;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
	<input id="eallcall_volume" name="eallcall_volume" data-slider-id='volume_data' type="text" data-slider-min="-42" data-slider-max="0" data-slider-step="1" data-slider-value="<?php echo $eAllCallVolume; ?>" data-slider-tooltip="hide"/>
</div>

{!! Form::label('allcall_multicast_ip','All-Call Multicast RTP IP Address:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->allcall_multicast_ip;?>'><i class='fa fa-lg fa-info-circle'></i></a>
<div class="form-group form-inline">
	<input name="allcall_multicast_ip" id="allcall_multicast_ip" type="hidden" value="<?php echo $allcall_ip_address; ?>">
    		<input name="allcall_ip_address_position_1" id="allcall_ip_address_position_1" type="text" value="<?php echo $allcall_parts[0]; ?>" maxlength="3" class="form-control" style="width:50px;">
   		 <input name="allcall_ip_address_position_2" id="allcall_ip_address_position_2" type="text" value="<?php echo $allcall_parts[1]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="allcall_ip_address_position_3" id="allcall_ip_address_position_3" type="text" value="<?php echo $allcall_parts[2]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="allcall_ip_address_position_4" id="allcall_ip_address_position_4" type="text" value="<?php echo $allcall_parts[3]; ?>" maxlength="3" class="form-control" style="width:50px;" ><br>
</div>

 <div class="form-group"> 
 <input name="old_allcall_multicast_port" id="old_allcall_multicast_port" type="hidden" value='<?php echo $system->allcall_multicast_port;?>'>
	{!! Form::label('allcall_multicast_port','All-Call Multicast RTP Port:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->allcall_multicast_port;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('allcall_multicast_port',null,['class' => 'form-control','style' => 'width: 100px','maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','All-Call Cut Level (dB):') !!}&nbsp;<strong><span id="allcallVolumeLabel"><?php echo $allCallVolume; ?></span></strong>&nbsp;&nbsp;<a data-toggle="tooltip" title="<?php echo $system_help[0]->allcall_volume;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
	<input id="allcall_volume" name="allcall_volume" data-slider-id='volume_data' type="text" data-slider-min="-42" data-slider-max="0" data-slider-step="1" data-slider-value="<?php echo $allCallVolume; ?>" data-slider-tooltip="hide"/>
</div>

{!! Form::label('audiodist_multicast_ip','Audio Distribution Multicast IP Address:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->audiodist_multicast_ip;?>'><i class='fa fa-lg fa-info-circle'></i></a>
<div class="form-group form-inline">
	<input name="audiodist_multicast_ip" id="audiodist_multicast_ip" type="hidden" value="<?php echo $audiodist_ip_address; ?>">
    <input name="reboot" id="reboot" type="hidden" value="0">
    		<input name="audiodist_ipaddr_position_1" id="audiodist_ipaddr_position_1" type="text" value="<?php echo $audiodist_ipaddr_parts[0]; ?>" maxlength="3" class="form-control" style="width:50px;">
   		 <input name="audiodist_ipaddr_position_2" id="audiodist_ipaddr_position_2" type="text" value="<?php echo $audiodist_ipaddr_parts[1]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="audiodist_ipaddr_position_3" id="audiodist_ipaddr_position_3" type="text" value="<?php echo $audiodist_ipaddr_parts[2]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="audiodist_ipaddr_position_4" id="audiodist_ipaddr_position_4" type="text" value="<?php echo $audiodist_ipaddr_parts[3]; ?>" maxlength="3" class="form-control" style="width:50px;" ><br>
</div>

<div class="form-group"> 
	<input name="old_audiodist_multicast_port" id="old_audiodist_multicast_port" type="hidden" value='<?php echo $system->audiodist_multicast_port;?>'>
	{!! Form::label('audiodist_multicast_port','Audio Distribution Multicast Port:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->audiodist_multicast_port;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('audiodist_multicast_port',null,['class' => 'form-control','style' => 'width: 100px','maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','Audio Distribution Cut Level (dB):') !!}&nbsp;<strong><span id="audiodistVolumeLabel"><?php echo $audiodistrVolume; ?></span></strong>&nbsp;&nbsp;<a data-toggle="tooltip" title="<?php echo $system_help[0]->audiodist_volume;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
	<input id="audiodist_volume" name="audiodist_volume" data-slider-id='volume_data' type="text" data-slider-min="-42" data-slider-max="0" data-slider-step="1" data-slider-value="<?php echo $audiodistrVolume; ?>" data-slider-tooltip="hide"/>
</div>

<div class="form-group">
	{!! Form::label('name','Default Cut Level (dB):') !!}&nbsp;<strong><span id="volumeLabel"><?php echo $defaultVolume; ?></span></strong>&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->default_volume;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
	<input id="default_volume" name="default_volume" data-slider-id='default_volume_data' type="text" data-slider-min="-42" data-slider-max="0" data-slider-step="1" data-slider-value="<?php echo $defaultVolume; ?>" data-slider-tooltip="hide"/>
</div>
	
{!! Form::label('ans_multicast_ip','Ambient Noise Sensor Multicast IP Address:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->ans_multicast_ip;?>'><i class='fa fa-lg fa-info-circle'></i></a>
<div class="form-group form-inline">
	<input name="ans_multicast_ip" id="ans_multicast_ip" type="hidden" value="<?php echo $ans_ip_address; ?>">
    		<input name="ans_ipaddr_position_1" id="ans_ipaddr_position_1" type="text" value="<?php echo $ans_ipaddr_parts[0]; ?>" maxlength="3" class="form-control" style="width:50px;">
   		 <input name="ans_ipaddr_position_2" id="ans_ipaddr_position_2" type="text" value="<?php echo $ans_ipaddr_parts[1]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="ans_ipaddr_position_3" id="ans_ipaddr_position_3" type="text" value="<?php echo $ans_ipaddr_parts[2]; ?>" maxlength="3" class="form-control" style="width:50px;" >
    		<input name="ans_ipaddr_position_4" id="ans_ipaddr_position_4" type="text" value="<?php echo $ans_ipaddr_parts[3]; ?>" maxlength="3" class="form-control" style="width:50px;" ><br>
</div>

<div class="form-group"> 
	<input name="old_ans_multicast_port" id="old_ans_multicast_port" type="hidden" value='<?php echo $system->ans_multicast_port;?>'>
	{!! Form::label('ans_multicast_port','Ambient Noise Sensor Multicast Port:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->ans_multicast_port;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('ans_multicast_port',null,['class' => 'form-control','style' => 'width: 100px','maxlength' => '5']) !!}
</div>	
	
<div class="form-group">
{!! Form::hidden('disable_preannounce_tone', 0) !!}
{!! Form::label('disable_preannounce_tone','Disable Preannounce Tone:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->disable_preannounce_tone;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->disable_preannounce_tone==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('disable_preannounce_tone', $system->disable_preannounce_tone, $checked, array('id'=>'disable_preannounce_tone', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div>  
  
 <div class="form-group">
{!! Form::hidden('privacy_beep', 0) !!}
{!! Form::label('privacy_beep','Disable Privacy Beep:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->privacy_beep;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->privacy_beep==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('privacy_beep', $system->privacy_beep, $checked, array('id'=>'privacy_beep', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div>  

<div class="form-group">
{!! Form::label('emergency_tone','Emergency Tone:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->emergency_tone;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select name="emergency_tone" id="emergency_tone" class="form-control" style="width: 200px;">
   <option value="" <?php if($system->emergency_tone == ''){ echo 'selected="selected"';}?>>None</option>
	  @foreach($tones as $tone)
    <option value="/var/lib/asterisk/sounds/pre/{{ $tone->file_name }}" 
    		@if('/var/lib/asterisk/sounds/pre/'.$tone->file_name == $system->emergency_tone)
       		 	selected="selected"
            @endif
        >{{ $tone->name }}</option>
	@endforeach
	</select>
</div>

<div class="form-group">
{!! Form::label('all_call_tone','All Call Tone:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->all_call_tone;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select name="all_call_tone" id="all_call_tone" class="form-control" style="width: 200px;">
   <option value="" <?php if($system->all_call_tone == ''){ echo 'selected="selected"';}?>>None</option>
	  @foreach($tones as $tone)
    <option value="/var/lib/asterisk/sounds/pre/{{ $tone->file_name }}" 
    		@if('/var/lib/asterisk/sounds/pre/'.$tone->file_name == $system->all_call_tone)
       		 	selected="selected"
            @endif
        >{{ $tone->name }}</option>
	@endforeach
	</select>
</div>
       
<div class="form-group">
{!! Form::label('intercom_tone','Intercom Tone:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->intercom_tone;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select name="intercom_tone" id="intercom_tone" class="form-control" style="width: 200px;">
   <option value="" <?php if($system->intercom_tone == ''){ echo 'selected="selected"';}?>>None</option>
	  @foreach($tones as $tone)
    <option value="/var/lib/asterisk/sounds/pre/{{ $tone->file_name }}" 
    		@if('/var/lib/asterisk/sounds/pre/'.$tone->file_name == $system->intercom_tone)
       		 	selected="selected"
            @endif
        >{{ $tone->name }}</option>
	@endforeach
	</select>
</div> 	
        
<div class="form-group">
	{!! Form::label('default_station_password','Default Registration Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->default_station_password;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('default_station_password',null,['class' => 'form-control','style' => 'width: 200px']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','Default Codecs Allowed:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->default_codecs_allowed;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select multiple="multiple" name="codecs[]" id="codecs" class="form-control" style="width: 60%">
   		@foreach($codec_list as $list_item2)
   			<?php if(!in_array($list_item2, $codecs )) {?> 
            	<option value="{{ $list_item2 }}">{{ $list_item2 }}</option> 
            <?php }?>
        @endforeach
        @foreach($codecs as $list_item1)
   			<option value="{{ $list_item1 }}" selected="selected">{{ $list_item1 }}</option>
        @endforeach
    </select>
</div>

<div class="form-group"> 
	{!! Form::label('admin_queue_timeout',$product_feature_admin->label.' Queue Timeout:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->admin_queue_timeout;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('admin_queue_timeout',null,['class' => 'form-control','style' => 'width: 100px']) !!}
</div>

 <div class="form-group">
{!! Form::hidden('nightring_enabled', 0) !!}
{!! Form::label('nightring_enabled','Night Ring Enabled:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->nightring_enabled;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->nightring_enabled==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('nightring_enabled', $system->nightring_enabled, $checked, array('id'=>'nightring_enabled', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
   
 <div class="form-group">
{!! Form::label('nightring_admin_extension', $nr_admin->label.':') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->nightring_admin_extension;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select name="nightring_admin_extension" id="nightring_admin_extension" class="form-control" style="width: 200px;">
   <option value="" <?php if($system->nightring_admin_extension == ''){ echo 'selected="selected"';}?>>None</option>
	 @if(count($admins)>0)
   		@foreach($admins as $admin)
    <option value="{{ $admin->extension }}" 
    		@if($system->nightring_admin_extension == $admin->extension)
       		 	selected="selected"
            @endif
        >{{ $admin->extension }} - {{ $admin->station_name }}</option>
	@endforeach
	 @endif
	</select>
</div> 	

 <div class="form-group">
{!! Form::hidden('nightring_allstations', 0) !!}
{!! Form::label('nightring_allstations',$nr_all_stations->label.':') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->nightring_allstations;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->nightring_allstations==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('nightring_allstations', $system->nightring_allstations, $checked, array('id'=>'nightring_allstations', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 

  <div class="form-group">
<input name="nightring_admin_group" id="nightring_admin_group" type="hidden" value="<?php echo $system->nightring_admin_group;?>">
{!! Form::label('nightring_admin_group',$nr_admin_group->label.':') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->nightring_admin_group;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group nightring_admin_group-btn">
  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php if($system->nightring_admin_group=='') { echo 'None';} else { echo $system->nightring_admin_group; }?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
  <li><a class="nightring_admin_group-action" href="#" data-value="">None</a></li>
    @if(count($admin_groups)>0)
   		@foreach($admin_groups as $admin_group)
       		<li><a class="nightring_admin_group-action" href="#" data-value="{{ $admin_group->name }}">{{ $admin_group->name }}</a></li>
   		@endforeach
   @endif
  </ul>
</div>
</div>

<div class="form-group">
	{!! Form::label('name', $nr_zones->label.':') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->nightring_zonelist;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select multiple="multiple" name="zones[]" id="zones" class="form-control" style="width: 60%">
	@foreach($paging_zones as $paging_zone)
    <option value="{{$paging_zone->zone_number}}" 
    	@foreach($selected_zones as $selected_zone)
    		@if($paging_zone->zone_number == $selected_zone)
       		 	selected="selected"
            @endif
    	@endforeach
        >Zone-{{$paging_zone->zone_number}}: {{$paging_zone->name}}</option>
	@endforeach
	</select>&nbsp;&nbsp;<button type="button" name="clearbutton" class="btn btn-default clearbutton" onclick="clearZones()">Clear</button>&nbsp;<button type="button" name="addbutton" class="btn btn-default" onclick="addZones()">Add All</button>
</div>

<div class="form-group"> 
	{!! Form::label('parking_lot','Parking Lot:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->parking_lot;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('parking_lot',null,['class' => 'form-control','style' => 'width: 200px']) !!}
</div>

<div class="form-group">
{!! Form::hidden('record_monitoring', 0) !!}
{!! Form::label('record_monitoring','Record Monitoring:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->record_monitoring;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->record_monitoring==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('record_monitoring', $system->record_monitoring, $checked, array('id'=>'record_monitoring', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
  
<div class="form-group">
	{!! Form::label('emergency_link','Emergency Link:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->emergency_link;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
   <select name="emergency_link" id="emergency_link" class="form-control" style="width: 200px;">
	  @foreach($emergency_link_stations as $emergency_link_station)
    <option value="{{$emergency_link_station->extension}}" 
    	@foreach($selected_zones as $selected_zone)
    		@if($emergency_link_station->extension == $system->emergency_link)
       		 	selected="selected"
            @endif
    	@endforeach
        >{{$emergency_link_station->extension}} - {{$emergency_link_station->station_name}}</option>
	@endforeach
    <option value="999" <?php if($system->emergency_link == '999'){ echo 'selected="selected"';}?>>999</option>
	</select>
</div>

<div class="form-group">
<input name="max_restricted_digits" id="max_restricted_digits" type="hidden" value="<?php echo $system->max_restricted_digits;?>">
{!! Form::label('max_restricted_digits','Max Restricted Digits:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->max_restricted_digits;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group dropup max_restricted_digits-btn">
  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php echo $system->max_restricted_digits; ?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
         <li><a href="#" class="max_restricted_digits-action" data-value="7">7</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="8">8</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="9">9</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="10">10</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="11">11</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="12">12</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="13">13</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="14">14</a></li>
         <li><a href="#" class="max_restricted_digits-action" data-value="15">15</a></li>
  </ul>
</div>
</div>

<div class="form-group">
	{!! Form::label('disa_password','DISA Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->disa_password;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('disa_password',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>

<div class="form-group">
	{!! Form::label('security_disa_password','Security DISA Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->security_disa_password;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('security_disa_password',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>

<div class="form-group">
	{!! Form::label('call_log_length','CDR Storage Duration:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->call_log_length;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('call_log_length',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '3']) !!}
</div>

  <div class="form-group">
<input name="trunk_priority" id="trunk_priority" type="hidden" value='<?php echo $system->trunk_priority;?>'>
{!! Form::label('trunk_priority','Trunk Priority:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->trunk_priority;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group dropup trunk-priority-btn">
  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php echo $system->trunk_priority_name;?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
    @foreach($trunk_priority_types as $trunk_priority_type)
       <li><a href="#" class="trunk-priority-action" data-value="{{ $trunk_priority_type->id }}">{{ $trunk_priority_type->name }}</a></li>
    @endforeach
  </ul>
</div>
</div> 

<div class="form-group">
{!! Form::hidden('bump_on_emergency', 0) !!}
{!! Form::label('bump_on_emergency','Bump on Emergency:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->bump_on_emergency;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->bump_on_emergency==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('bump_on_emergency', $system->bump_on_emergency, $checked, array('id'=>'bump_on_emergency', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
  
  <div class="form-group">
{!! Form::hidden('bump_on_911', 0) !!}
{!! Form::label('bump_on_911','Bump on 911:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->bump_on_911;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->bump_on_911==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('bump_on_911', $system->bump_on_911, $checked, array('id'=>'bump_on_911', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
	
  <div class="form-group">
<input name="allow_local_eallcall_page_interrupt_old" id="allow_local_eallcall_page_interrupt_old" type="hidden" value="<?php echo $allowLocalEallcallPageInterrupt; ?>"> 
{!! Form::hidden('allow_local_eallcall_page_interrupt', 0) !!}
{!! Form::label('allow_local_eallcall_page_interrupt','Allow Local Emergency-All-Call Page Interrupt:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->allow_local_eallcall_page_interrupt;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($allowLocalEallcallPageInterrupt=='1'){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('allow_local_eallcall_page_interrupt', $allowLocalEallcallPageInterrupt, $checked, array('id'=>'allow_local_eallcall_page_interrupt', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
	
  <div class="form-group">
<input name="allow_multisite_eallcall_page_interrupt_old" id="allow_multisite_eallcall_page_interrupt_old" type="hidden" value="<?php echo $allowMultisiteEallcallPageInterrupt; ?>"> 
{!! Form::hidden('allow_multisite_eallcall_page_interrupt', 0) !!}
{!! Form::label('allow_multisite_eallcall_page_interrupt','Allow Multi-Site-Emergency-All-Call Page Interrupt:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->allow_multisite_eallcall_page_interrupt;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($allowMultisiteEallcallPageInterrupt=='1'){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('allow_multisite_eallcall_page_interrupt', $allowMultisiteEallcallPageInterrupt, $checked, array('id'=>'allow_multisite_eallcall_page_interrupt', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
  
  <div class="form-group"> 
	{!! Form::label('auth_code','Auth Code:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->auth_code;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('auth_code',null,['class' => 'form-control','style' => 'width: 100px','maxlength' => '4']) !!}
</div>

<div class="form-group" style="width:60%">
<input name="call_assurance_audio_old" id="call_assurance_audio_old" type="hidden" value="<?php echo $system->call_assurance_audio;?>">
<?php if($system->call_assurance_audio=='call-placed'){ $call_assurance_audio2 = $system->call_assurance_audio; } else { $call_assurance_audio2 = substr( $system->call_assurance_audio, 0, -11 );}?>
<input name="call_assurance_audio_name" id="call_assurance_audio_name" type="hidden" value="<?php echo $call_assurance_audio2;?>">
    {!! Form::label('text','Call Assurance Audio:') !!}&nbsp;&nbsp; <a data-toggle="tooltip" title='<?php echo $system_help[0]->call_assurance_audio;?>'><i class='fa fa-lg fa-info-circle'></i></a><br> 
    <div class="form-inline">
    {!! Form::text('call_assurance_audio2',$call_assurance_audio2,['class' => 'form-control','style' => 'width: 200px', 'disabled' => 'disabled', 'id' => 'call_assurance_audio2']) !!}&nbsp;&nbsp;<button type="button" name="btnResetCallAssurance" id="btnResetCallAssurance" class="btn btn-default" onClick="reset_call_assurance();">Reset</button>
    </div><br>
    <div style="width:250px;"><input id="fileupload" name="fileupload" type="file" class="filestyle">
    </div>
  </div>
  
  <div class="form-group">
	{!! Form::label('neighbor_secret','Facility Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->neighbor_secret;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('neighbor_secret',null,['class' => 'form-control','style' => 'width: 200px', 'maxlength' => '12']) !!}
</div>

<div class="form-group">
<input name="remote_facility_cos" id="remote_facility_cos" type="hidden" value="<?php echo $system->remote_facility_cos;?>">
<input name="remote_facility_cos_name" id="remote_facility_cos_name" type="hidden" value="<?php echo $system->remote_facility_cos_name;?>">
{!! Form::label('name','Remote Facility CoS:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title="<?php echo $system_help[0]->remote_facility_cos;?>"><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group dropup remote_facility_cos-btn">
  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php echo $system->remote_facility_cos_name; ?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
    @if(count($cos_templates)>0)
   @foreach($cos_templates as $cos_template)
       <li><a href="#" class="remote_facility_cos-action" data-value="{{ $cos_template->id }}">{{ $cos_template->name }}</a></li>
   @endforeach
   @else
       <li><a href="#" class="remote_facility_cos-action" data-value="{{ $cos_template->id }}">None selected</a></li>
   @endif
  </ul>
</div>
</div>

<div class="form-group">
	{!! Form::label('rtpstart','RTP Start Port:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->rtpstart;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('rtpstart',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('rtpend','RTP End Port:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->rtpend;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('rtpend',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '5']) !!}
</div>

<div class="form-group">
{!! Form::hidden('rtpchecksums', 0) !!}
{!! Form::label('rtpchecksums','Enable RTP Checksums:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->rtpchecksums;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->rtpchecksums==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('rtpchecksums', $system->rtpchecksums, $checked, array('id'=>'rtpchecksums', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
  
  <div class="form-group">
{!! Form::hidden('icesupport', 0) !!}
{!! Form::label('icesupport','Enable ICE Support:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->icesupport;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->icesupport==1){$checked = 'true';}else{$checked = 'false';}?>
        {!! Form::checkbox('icesupport', $system->icesupport, $checked, array('id'=>'icesupport', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
  
  <div class="form-group">
	{!! Form::label('stunaddr','STUN Server:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->stunaddr;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('stunaddr',null,['class' => 'form-control','style' => 'width: 300px', 'maxlength' => '80']) !!}
</div>

<div class="form-group">
	{!! Form::label('turnaddr','TURN Server:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->turnaddr;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('turnaddr',null,['class' => 'form-control','style' => 'width: 300px', 'maxlength' => '80']) !!}
</div>

<div class="form-group">
	{!! Form::label('turnusername','TURN Username:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->turnusername;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('turnusername',null,['class' => 'form-control','style' => 'width: 300px', 'maxlength' => '80']) !!}
</div>

<div class="form-group">
	{!! Form::label('turnpassword','TURN Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->turnpassword;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('turnpassword',null,['class' => 'form-control','style' => 'width: 300px', 'maxlength' => '80']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','Retention Recordings:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->retention_recordings;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('retention_recordings',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','Backup Retention System:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->backup_retention_system;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('backup_retention_system',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','Backup Retention Recordings:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->backup_retention_recordings;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('backup_retention_recordings',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','Backup Retention Voicemail:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->backup_retention_voicemail;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('backup_retention_voicemail',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '5']) !!}
</div>

<div class="form-group">
	{!! Form::label('name','System Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='Value to be entered when prompted for system password.'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('system_password',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Multi-Site-Emergency-All-Call Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_multisite_emerg_all_call;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_multisite_emerg_all_call',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Multi-Site-All-Call Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_multisite_all_call;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_multisite_all_call',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Facility-Page Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_facility_page;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_facility_page',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Emergency-All-Call Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_emerg_all_call;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_emerg_all_call',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','All-Call Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_all_call;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_all_call',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Emergency-Announcement Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_emerg_announcement;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_emerg_announcement',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Announcement Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_announcement;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_announcement',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Zone-Page Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_zone_page;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_zone_page',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Alarm Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_alarm;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_alarm',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>
	
<div class="form-group">
	{!! Form::label('name','Tone Password:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->pin_tone;?>'><i class='fa fa-lg fa-info-circle'></i></a>
	{!! Form::text('pin_tone',null,['class' => 'form-control','style' => 'width: 100px', 'maxlength' => '4']) !!}
</div>

<hr>
<div class="form-group">
    <a href="/system" class="btn btn-default" role="button"><i class='fa fa-times'></i> Cancel</a>
    <button type="button" class="btn btn-success save-action"><i class="fa fa-floppy-o"></i> Save</button>
</div>
<br><br>
<!-- start audiodist_multicast_ip modal -->
	<div class="modal" id="audiodistModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="myModalLabel" align="center">System</h4>
      			</div>
      			<div class="modal-body">
                	<p align="center" id="audiodistr-modal-message">
                    </p>
                    <p align="center">
                    	Do you want to reboot all the phones?
                    </p>
      			</div>
      		<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-success reboot-phones-action">Save and Reboot</button>
        <button type="button" class="btn btn-success save-no-reboot-action">Save and No Reboot</button> 
      </div>
    </div>
  </div>
</div>
<!-- end audiodist_multicast_ip modal -->

<!-- start Dialing Length Modal -->
	<div class="modal" id="dialingLengthModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="myModalLabel" style="text-align: center">Dialing Length</h4>
      			</div>
      			<div class="modal-body">
                	<p id="modal-message">
                	</p>
      			</div>
      		<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-primary front-action">Front</button>
        <button type="button" class="btn btn-primary rear-action">Rear</button>
      </div>
    </div>
  </div>
</div>
<!-- end Dialing Length Modal -->

<!-- start Dialing Length alert Modal -->
	<div class="modal" id="dialingLengthAlertModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="myModalLabel" style="text-align: center">Dialing Length</h4>
      			</div>
      			<div class="modal-body">
                	<p id="modal-message" align="center">Choose a new dialing length before changing.
                	</p>
      			</div>
      		<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
<!-- end Dialing Length alert Modal -->

 <!-- start dialing length processing modal -->
    <div id="dialingLengthProcessingModal"  class="modal bs-example-modal-sm modal" tabindex="-1" role="dialog" aria-labelledby="dialingLengthProcessingModal" data-refresh="true" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog">
            <div class="modal-content">
                 <div class="modal-header">
                    <h4 class="modal-title"><p align="center">Dialing Length</p></h4>
                </div>
                <div class="modal-body">
					<p id="modal-message"><h4><i class="fa fa-refresh fa-spin fa-fw margin-bottom"></i>&nbsp;<strong><font color="orange">Processing ... <br><br>DO NOT CLOSE THE PAGE OR CLICK ANYTHING UNTIL DONE.<br><br>A few minutes after the dialing length update has completed reboot all Nyquist Appliances and IP Phones on your network.<br><br>A system backup will be created automatically in case the process does not complete.</font></strong></h4>
                	</p>
                </div>
            </div>
            </div>
        </div>
 <!--  end dialing length processing modal -->

<!-- start duplicate alert modal -->
	<div class="modal" id="duplicateAlertModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog modal-lg" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="myModalLabel" style="text-align: center">Dialing Length</h4>
      			</div>
      			<div class="modal-body">
                	<div class="row">
                		<div class="col-md-12" style="max-height:410px;overflow-y: auto;">
                        The dialing length could not be changed because this will create duplicate station extensions. The station extensions listed below must be updated so there are no duplicates when processed.
                        <div id="duplicate_stations_modal_list"></div>
                		</div>
                      </div>
      			</div>
      		<div class="modal-footer">
            <button type="button" onClick="hideAndOpenStations();" class="btn btn-primary" data-dismiss="modal">Stations</button>
        	<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
<!-- end duplicate alert modal -->

<!-- start trim error alert modal -->
	<div class="modal" id="trimErrorAlertModal" tabindex="-1" role="dialog" aria-labelledby="trimErrorAlertModal" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog modal-lg" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="trimErrorModalLabel" style="text-align: center">Dialing Length</h4>
      			</div>
      			<div class="modal-body">
                	<div class="row">
                		<div class="col-md-12" style="max-height:410px;overflow-y: auto;">
                        The dialing length could not be changed because this will create invalid station extensions. The station extensions listed below must be updated so there are no invalid extensions when processed.
                        <div id="trim_error_stations_modal_list"></div>
                		</div>
                      </div>
      			</div>
      		<div class="modal-footer">
            <button type="button" onClick="hideAndOpenStations();" class="btn btn-primary" data-dismiss="modal">Stations</button>
        	<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
<!-- end trim error alert modal -->


<!-- start time zone alert Modal -->
	<div class="modal" id="timeZoneModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="myModalLabel" style="text-align: center">Time Zone</h4>
      			</div>
      			<div class="modal-body">
                	<p id="modal-message" align="center">Server reboot is required after a time zone change.
                	</p>
      			</div>
      		<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
<!-- end time zone alert Modal -->

<!-- start ip_address Modal -->
	<div class="modal" id="ipAddressModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="myModalLabel" style="text-align: center">Change Server IP Address</h4>
      			</div>
      			<div class="modal-body" align="center">
						<input name="ip_address" id="ip_address" type="hidden" value='<?php echo $server_ip_address; ?> '>
						<strong>Choose an IP Address:</strong></p>
						<div class="btn-group ip-address-btn">
						  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
							<span class="selection"><?php echo $server_ip_address; ?></span>&nbsp;<span class="caret"></span>
						  </button>
						  <ul class="dropdown-menu" role="menu">
						  	<?php foreach($ip_addresses as $ip){ ?>
						  	<li><a href="#" class="ip-address-action" data-value="<?php echo $ip; ?>"><?php echo $ip; ?></a></li>
							<?php } ?>
						  </ul>
						</div>
      			</div>
      		<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-success save-ip-address-action">Save</button>
      </div>
    </div>
  </div>
</div>
<!-- end ip_address Modal -->

<!-- start ip_address save Modal -->
	<div class="modal" id="ipAddressSaveModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" id="myModalLabel" style="text-align: center">Server IP Address</h4>
      			</div>
      			<div class="modal-body" align="center">
						The Nyquist Server must now be restarted for the changes to take affect.<br>
     					Please use the "Server Restart" button found on the "System Parameters" page.
      			</div>
      		<div class="modal-footer">
        <button type="button" class="btn btn-default" onClick="refreshScreen();" data-dismiss="modal">Ok</button>
      </div>
    </div>
  </div>
</div>
<!-- end ip_address save Modal -->

<!-- start Enable ICE Support Modal -->
	<div class="modal" id="enableICESupportModal" tabindex="-1" role="dialog" data-backdrop="static" data-keyboard="false">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        		<h4 class="modal-title" style="text-align: center">Enable ICE Support</h4>
      			</div>
      			<div class="modal-body" align="center">
						<i class="fa fa-exclamation-triangle"></i> WARNING: Disabling ICE Support may cause <br>
						DOMException audio issues when making calls using the web interface.
      			</div>
      		<div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
      </div>
    </div>
  </div>
</div>
<!-- end Enable ICE Support Modal -->

</div>

<div class="col-md-6">
  
  <!-- start panel -->
 <div class="panel panel-default">
  <div class="panel-heading"><strong>System Tools&nbsp;&nbsp;<a data-toggle="tooltip" title="These tools run seperate from the Edit System Parameters fields."><i class='fa fa-lg fa-info-circle'></i></a></strong></div>
  <div class="panel-body">
  <!-- start panel content -->
  {!! Form::label('server_ipaddr','Server IP Address:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->server_ipaddr;?>'><i class='fa fa-lg fa-info-circle'></i></a>
<div class="form-group form-inline">
	<input name="server_ipaddr" id="server_ipaddr" type="hidden" value="<?php echo $server_ip_address; ?>">
    		<input name="server_ipaddr_position_1" id="server_ipaddr_position_1" type="text" value="<?php echo $server_ipaddr_parts[0]; ?>" maxlength="3" class="form-control" style="width:50px;" readonly>
   		 <input name="server_ipaddr_position_2" id="server_ipaddr_position_2" type="text" value="<?php echo $server_ipaddr_parts[1]; ?>" maxlength="3" class="form-control" style="width:50px;" readonly>
    		<input name="server_ipaddr_position_3" id="server_ipaddr_position_3" type="text" value="<?php echo $server_ipaddr_parts[2]; ?>" maxlength="3" class="form-control" style="width:50px;" readonly>
    		<input name="server_ipaddr_position_4" id="server_ipaddr_position_4" type="text" value="<?php echo $server_ipaddr_parts[3]; ?>" maxlength="3" class="form-control" style="width:50px;" readonly><br>
</div>
  <a href="javascript:void(0)" type="button" name="ipAddressButton" id="ipAddressButton" class="btn btn-primary" onClick="ipAddressButton();"><i class='fa fa-map-marker'></i> Change Server IP Address</a>
  <br><br>
  <div class="form-group">
{!! Form::hidden('dhcp_override', 0) !!}
{!! Form::label('dhcp_override','Use Network Time Server defined by DHCP:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->dhcp_override;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->dhcp_override==1){$checked = 'true';}else{$checked = 'false';}?>
        <?php if($dhcp_disabled==1){$disabled = 'disabled';}else{$disabled = '';}?>
        {!! Form::checkbox('dhcp_override', $system->dhcp_override, $checked, array('id'=>'dhcp_override', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small', $disabled)) !!}
  </div>  

<div class="form-group"> 
	{!! Form::label('ip_ntp_server','Network Time Server:') !!}&nbsp;&nbsp;
    <input name="ip_ntp_server" id="ip_ntp_server" type="hidden" value="<?php if($system->dhcp_override==1){ echo ''; } else { echo $system->ip_ntp_server;}?>">
    <a data-toggle="tooltip" title='<?php echo $system_help[0]->ip_ntp_server;?>'><i class='fa fa-lg fa-info-circle'></i></a>&nbsp;&nbsp;<span id="ntp_ip_address"></span>
    <input class="form-control" style="width: 60%" id="ip_ntp_server_manual" name="ip_ntp_server_manual" type="text" value="<?php if($system->dhcp_override==1){ echo ''; } else { echo $system->ip_ntp_server;}?>" <?php if($system->dhcp_override==1){ echo 'disabled'; }?>>
    <br>
    <?php if($system->dhcp_override==0){ ?>
    <a href="javascript:void(0)" type="button" name="btnNTP" id="btnNTP" class="btn btn-primary" onClick="ntpButton();"><i class='fa fa-server'></i> Change Network Time Server</a>&nbsp;&nbsp;<span id="spinner"></span><?php } ?>
</div>
	  	
<div class="form-group">
<input name="appliance_ntp_source" id="appliance_ntp_source" type="hidden" value="<?php echo $system->appliance_ntp_source;?>">
{!! Form::label('appliance_ntp_source','Appliances Network Time Server Source:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->appliance_ntp_source;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
<div class="btn-group appliance_ntp_source-btn">
  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="selection"><?php echo $system->appliance_ntp_source; ?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
         <li><a href="javascript:void(0);" class="appliance_ntp_source-action" data-value="nyquist">nyquist</a></li>
         <li><a href="javascript:void(0);" class="appliance_ntp_source-action" data-value="dhcp">dhcp</a></li>
         <li><a href="javascript:void(0);" class="appliance_ntp_source-action" data-value="ntpserver">ntpserver</a></li>
  </ul>
	</div>
	</div>
    <a href="javascript:void(0)" type="button" name="btnNTPAppliance" id="btnNTPAppliance" class="btn btn-primary" onClick="ntpApplianceButton();"><i class='fa fa-server'></i> Change Appliances Network Time Server</a>&nbsp;&nbsp;<span id="spinner2"></span>
	<br><br>
            
<div class="form-group">
    {!! Form::label('server_date_time','Server Date/Time:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->server_date_time;?>'><i class='fa fa-lg fa-info-circle'></i></a>
    @if($tz=='')
    @else
    	&nbsp;&nbsp;<?php echo date("g:i:s A T");?>
    @endif
     <div class="input-group date form_datetime col-md-6" data-date="<?php echo date("Y-m-d H:i:s"); ?>" data-date-format="yyyy-mm-dd hh:ii:ss" data-input-type="date-time">
       <input id="server_date_time" name="server_date_time" class="form-control" size="20" type="text" value="<?php echo date("Y-m-d H:i:s");?>" readonly >
		<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
      </div><br>
<a href="javascript:void(0)" type="button" name="btnDate" id="btnDate" class="btn btn-primary" onClick="datetimeButton();"><i class='fa fa-calendar'></i> Change Server Date/Time</a>
</div>

<div class="form-group">
	{!! Form::label('time_zone','Time Zone:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->time_zone;?>'><i class='fa fa-lg fa-info-circle'></i></a><br><span id="timezone_response_text"></span>
   <select name="time_zone_manual" id="time_zone_manual" class="form-control time_zone" style="width: 60%">
   		<?php $oldheader = ''; ?>
  		<?php $newheader = ''; ?>
        <option value=""></option>
   		@foreach($timezones as $timezone)
   			<?php $thirdname = ''; ?>
    		<?php $countryArray = explode('/', $timezone->name);?>
			<?php $newheader = $countryArray[0]; ?>
    		<?php if(count($countryArray)>2){ $thirdname = '/'. str_replace("_"," ", $countryArray[2]); }?>
    		<?php $timezonename = str_replace("_"," ", $countryArray[1]). '' . $thirdname; ?>
    		@if($newheader != $oldheader)
    			 <optgroup label="{{ $newheader }}">
        	@endif
            	@if($system->time_zone == $timezone->name)
                	<option value="{{ $timezone->name }}" selected>{{ $timezonename }}</option>
            	@else
            		<option value="{{ $timezone->name }}">{{ $timezonename }}</option>
                @endif
             <?php $oldheader = $countryArray[0]; ?>
        @endforeach
    </select>
</div>
<a href="javascript:void(0)" type="button" name="btnTimezone" id="btnTimezone" class="btn btn-primary" onClick="timezoneButton();"><i class='fa fa-clock-o'></i> Change Time Zone</a><br><br>

<input type="hidden" id="dialing_length_start" name="dialing_length_start" value="<?php echo $system->dialing_length;?>">
<input type="hidden" id="dialing_length_change" name="dialing_length_change" value="none">
<input type="hidden" id="dialing_length_temp" name="dialing_length_temp" value="<?php echo $system->dialing_length;?>">
<div class="form-group">
<input name="dialing_length" id="dialing_length" type="hidden" value="<?php echo $system->dialing_length;?>">
{!! Form::label('dialing_length','Dialing Length:') !!}&nbsp;&nbsp;<a data-toggle="tooltip" title='<?php echo $system_help[0]->dialing_length;?>'><i class='fa fa-lg fa-info-circle'></i></a>&nbsp;&nbsp;<br><span id="dialing_length_response_text"></span>
<div class="btn-group dialing-length-btn">
  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
    <span class="dialing_length_selection"><?php echo $system->dialing_length; ?></span>&nbsp;<span class="caret"></span>
  </button>
  <ul class="dropdown-menu" role="menu">
         <li><a href="#" class="dialing-length-action3 dialing-length-action" data-value="3">3</a></li>
         <li><a href="#" class="dialing-length-action4 dialing-length-action" data-value="4">4</a></li>
         <li><a href="#" class="dialing-length-action5 dialing-length-action" data-value="5">5</a></li>
         <li><a href="#" class="dialing-length-action6 dialing-length-action" data-value="6">6</a></li>
  </ul>
</div>
</div>
<a href="javascript:void(0)" type="button" name="btnDialingLength" id="btnDialingLength" class="btn btn-primary" onClick="checkForDuplicateExtensions();"><i class='fa fa-th'></i> Change Dialing Length</a><br><br>
	  
{!! Form::label('name','Teamviewer ID:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='The Teamviewer Remote Control ID Number.'><i class='fa fa-lg fa-info-circle'></i></a><br>
 <input class="form-control" style="width: 150px" id="team_viewer_id" name="team_viewer_id" type="text" value="<?php echo $team_viewer_id; ?>" disabled><br>

 <div class="form-group">
{!! Form::hidden('teamviewer_button', 0) !!}
{!! Form::label('name','Teamviewer Enabled:') !!}&nbsp;&nbsp;
<a data-toggle="tooltip" title='<?php echo $system_help[0]->teamviewer_enabled;?>'><i class='fa fa-lg fa-info-circle'></i></a><br>
        <?php if($system->teamviewer_enabled==1){$checked = true;}else{$checked = false;}?>
        {!! Form::checkbox('teamviewer_button', $system->teamviewer_enabled, $checked, array('id'=>'teamviewer_button', 'class'=>'form-control', 'data-on'=>'Yes', 'data-off'=>'No', 'data-toggle'=>'toggle','data-size'=>'small')) !!}
  </div> 
	  
<div class="form-group"> 
	{!! Form::label('name','Teamviewer Password:') !!}&nbsp;&nbsp;
    <a data-toggle="tooltip" title='To change the Teamviewer password enter a new password in the field below then click Set Password.'><i class='fa fa-lg fa-info-circle'></i></a>&nbsp;&nbsp;
    <input class="form-control" style="width: 200px" id="teamviewer_password" name="teamviewer_password" type="text" value="" maxlength="12">
    <br>
    <button type="button" name="btnTVPassword" id="btnTVPassword" class="btn btn-primary" onClick="setTVPassword();"><i class='fa fa-lock'></i> Set Password</button>
</div>
<br>
</div>
  <!-- end panel content -->
  </div>
</div>
<!-- end panel -->
  
</div>
@section('footer')
<script>
$(document).ready(function(){
	
	var privacy_beep =  document.getElementById("privacy_beep").value;
	if(privacy_beep==0){
	   $('#privacy_beep').bootstrapToggle('on');
	} else {
		$('#privacy_beep').bootstrapToggle('off');
	}

	var allow_local_eallcall_page_interrupt_old = document.getElementById("allow_local_eallcall_page_interrupt_old");
	var allow_local_eallcall_page_interrupt= document.getElementById("allow_local_eallcall_page_interrupt");
	if(allow_local_eallcall_page_interrupt_old.value=='1'){
		$('#allow_local_eallcall_page_interrupt').bootstrapToggle('on')
		allow_local_eallcall_page_interrupt.value = '1';
	} else {
		$('#allow_local_eallcall_page_interrupt').bootstrapToggle('off')
		allow_local_eallcall_page_interrupt.value = '0';
	}

	var allow_multisite_eallcall_page_interrupt_old = document.getElementById("allow_multisite_eallcall_page_interrupt_old");
	var allow_multisite_eallcall_page_interrupt= document.getElementById("allow_multisite_eallcall_page_interrupt");
	if(allow_multisite_eallcall_page_interrupt_old.value=='1'){
		$('#allow_multisite_eallcall_page_interrupt').bootstrapToggle('on')
		allow_multisite_eallcall_page_interrupt.value = '1';
	} else {
		$('#allow_multisite_eallcall_page_interrupt').bootstrapToggle('off')
		allow_multisite_eallcall_page_interrupt.value = '0';
	}
});
// run on load - get ntp_ip_address
	
	var xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
            document.getElementById("ntp_ip_address").innerHTML=xmlhttp.responseText;
        }
    }
    xmlhttp.open("GET","/system/ntp_ip_address/",true);
    xmlhttp.send();
	
// Dialing Length Modal 
$(".dialing-length-action").click(function(){
										   
	document.getElementById("dialing_length_response_text").innerHTML = '';
	
	document.getElementById("dialing_length_temp").value = $(this).data('value');
	
	var picked_length = $(this).data('value');
	
	var  dialing_length = document.getElementById("dialing_length").value;
	
	if(dialing_length<picked_length) {
		//  increase the digit length, the new digits are ALWAYS added to the front
		document.getElementById('dialing_length_change').value='front';
		$('#dialingLengthModal').modal('hide');
		$(".dialing_length_selection").text(document.getElementById('dialing_length_temp').value);
		//document.getElementById('dialing_length').value = document.getElementById('dialing_length_temp').value;
		
	} else if(dialing_length>picked_length) {
		
		//  descrease the digit length, the new digits are ALWAYS subtracted from the front
		document.getElementById('dialing_length_change').value='front';
		$('#dialingLengthModal').modal('hide');
		$(".dialing_length_selection").text(document.getElementById('dialing_length_temp').value);
		//document.getElementById('dialing_length').value = document.getElementById('dialing_length_temp').value;
	}
	
	$('.open').removeClass('open');
	return false;
});

// front button in modal window
$(".front-action").click(function(){
	
	document.getElementById('dialing_length_change').value='front';
	$('#dialingLengthModal').modal('hide');
	$(".dialing_length_selection").text(document.getElementById('dialing_length_temp').value);
	document.getElementById('dialing_length').value = document.getElementById('dialing_length_temp').value;
});

// rear button in modal window
$(".rear-action").click(function(){
	
	document.getElementById('dialing_length_change').value='rear';
	$('#dialingLengthModal').modal('hide');
	$(".dialing_length_selection").text(document.getElementById('dialing_length_temp').value);
	document.getElementById('dialing_length').value = document.getElementById('dialing_length_temp').value;
});
  
// time-picker
  $('.form_time').datetimepicker({
	  	showMeridian: false,
        language:  'en',
        weekStart: 1,
        todayBtn:  0,
		autoclose: 1,
		todayHighlight: false,
		startView: 1,
		minView: 0,
		maxView: 1,
		forceParse: 0,
		format: 'hh:ii',	
		pickerPosition: "bottom-left",
		minuteStep: 5,
 });
 
 // date-time picker
  $(".form_datetime").datetimepicker({
	  	language:  'en',
	  	showMeridian: false,
        format: "yyyy-mm-dd hh:ii:00",
        autoclose: true,
        todayBtn: true,
		forceParse: 0,
        minuteStep: 1,
    });
 
// disable_preannounce_tone 
$(function() {
    $('#disable_preannounce_tone').bootstrapToggle();
});
$(function() {
  $('#disable_preannounce_tone').change(function() {
		var field = document.getElementById("disable_preannounce_tone");
      if(document.getElementById("disable_preannounce_tone").checked) {
		  field.value = "1";
	  } else {
		  field.value = "0";
	  }
    })
});
// privacy_beep
$(function() {
    $('#privacy_beep').bootstrapToggle();
});
$(function() {
  $('#privacy_beep').change(function() {
		var field = document.getElementById("privacy_beep");
      if(document.getElementById("privacy_beep").checked) {
		  field.value = "1";
	  } else {
		  field.value = "0";
	  }
    })
});
// dhcp_override
$(function() {
    $('#dhcp_override').bootstrapToggle();
});
$(function() {
  $('#dhcp_override').change(function() {
		var field = document.getElementById("dhcp_override");
		var system_id = <?php echo $system->id;?>;
      if(document.getElementById("dhcp_override").checked) {
		  // enable
		  field.value = "1";
		  window.location.href = '/system/dhcp_override/enable&' + system_id;
		  
	  } else {
		  // disable
		  field.value = "0";
		  window.location.href = '/system/dhcp_override/disable&' + system_id;
	  }
    })
});
// rtpchecksums
$(function() {
    $('#rtpchecksums').bootstrapToggle();
});
$(function() {
  $('#rtpchecksums').change(function() {
		var field = document.getElementById("rtpchecksums");
      if(document.getElementById("rtpchecksums").checked) {
		  field.value = "1";
	  } else {
		  field.value = "0";
	  }
    })
});
// icesupport
$(function() {
    $('#icesupport').bootstrapToggle();
});
$(function() {
  $('#icesupport').change(function() {
		var field = document.getElementById("icesupport");
      if(document.getElementById("icesupport").checked) {
		  field.value = "1";
	  } else {
		  $('#enableICESupportModal').modal('show');
		  field.value = "0";
	  }
    })
}); 
// teamviewer_button
$(function() {
    $('#teamviewer_button').bootstrapToggle();
});
$(function() {
  $('#teamviewer_button').change(function() {
		var field = document.getElementById("teamviewer_button");
      if(document.getElementById("teamviewer_button").checked) {
		  field.value = "1";
		  teamviewerButton(1);
	  } else {
		  field.value = "0";
		  teamviewerButton(0);
	  }
    })
});
// max restricted digits drop down
$(".max_restricted_digits-action").click(function(){
	$(this).parents(".max_restricted_digits-btn").find('.selection').text($(this).text());
	$(this).parents(".max_restricted_digits-btn").find('.selection').val($(this).data('value'));
	document.getElementById("max_restricted_digits").value = $(this).data('value');
	$('.open').removeClass('open');
	return false;
});
// trunk_priority drop down
$(".trunk-priority-action").click(function(){
	$(this).parents(".trunk-priority-btn").find('.selection').text($(this).text());
	$(this).parents(".trunk-priority-btn").find('.selection').val($(this).data('value'));
	document.getElementById("trunk_priority").value = $(this).data('value');
	$('.open').removeClass('open');
	return false;
});
// remote_facility_cos drop down
$(".remote_facility_cos-action").click(function(){
	$(this).parents(".remote_facility_cos-btn").find('.selection').text($(this).text());
	$(this).parents(".remote_facility_cos-btn").find('.selection').val($(this).data('value'));
	document.getElementById("remote_facility_cos").value = $(this).data('value');
	document.getElementById("remote_facility_cos_name").value = $(this).text();
	$('.open').removeClass('open');
  return false;
});
// appliance_ntp_source drop down
$(".appliance_ntp_source-action").click(function(){
	$(this).parents(".appliance_ntp_source-btn").find('.selection').text($(this).text());
	$(this).parents(".appliance_ntp_source-btn").find('.selection').val($(this).data('value'));
	document.getElementById("appliance_ntp_source").value = $(this).data('value');
	$('.open').removeClass('open');
	return false;
});
// tooltip
	$(function () {
  $('[data-toggle="tooltip"]').tooltip()
});
// default_codecs_allowed
$('#codecs').select2({
			placeholder: 'Add codecs ...',
			tokenSeparators: [',', ' '],
			closeOnSelect: false
});
// cursor active in codecs field after selection
$("#codecs").on("select2:select", function (evt) {
  $('#codecs').select2('open').select2('close');
}); 
// timezone
$(document).ready(function() {
  $(".time_zone").select2({
  		placeholder: "Select a time zone",
  })
});
// fixes problem with blank tag appearing in select2
$("#codecs option[value='']").remove();
// default volume slider
$('#default_volume').slider({
	formatter: function(value) {
		return value;
	}
});
// fixes picked order issue
$("#codecs").on("select2:select", function (evt) {
  var element = evt.params.data.element;
  var $element = $(element);

  $element.detach();
  $(this).append($element);
  $(this).trigger("change");

  $('#codecs').select2('open').select2('close'); // cursor active in codecs field after selection
}); 
// volume slider label
$("#default_volume").on("change", function(data) {
	$("#volumeLabel").text(data.value.newValue);
});
// eallcall_volume slider
$('#eallcall_volume').slider({
	formatter: function(value) {
		return value;
	}
});
// eallcall_volume slider label
$("#eallcall_volume").on("change", function(data) {
	$("#eallcallVolumeLabel").text(data.value.newValue);
});  
// allcall_volume slider
$('#allcall_volume').slider({
	formatter: function(value) {
		return value;
	}
});
// allcall_volume slider label
$("#allcall_volume").on("change", function(data) {
	$("#allcallVolumeLabel").text(data.value.newValue);
}); 
// audiodist_volume slider
$('#audiodist_volume').slider({
	formatter: function(value) {
		return value;
	}
});
// audiodist_volume slider label
$("#audiodist_volume").on("change", function(data) {
	$("#audiodistVolumeLabel").text(data.value.newValue);
}); 
// ntp button
function ntpButton() {
		// start activity text
		document.getElementById("spinner").innerHTML = 'Sending new address to server ...';
		
		// send ntp server address
		var ip_ntp_server = document.getElementById("ip_ntp_server_manual");
		var system_id = <?php echo $system->id;?>;		
		window.location.href = '/system/ntp/' + ip_ntp_server.value + '&' + system_id;
}
// appliance_ntp_source button
function ntpApplianceButton() {
	
	// start activity text
		document.getElementById("spinner2").innerHTML = 'Saving ...';
	
	var data = document.getElementById("appliance_ntp_source");
			
	var xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			//alert(xmlhttp.responseText);
			
			document.getElementById("spinner2").innerHTML = '';
			
			// send growl notification
			$.bootstrapGrowl("Appliances Network Time Server Source saved.", {
			  ele: 'body', // which element to append to
			  type: 'success', // (null, 'info', 'error', 'success')
			  offset: {from: 'top', amount: 50}, // 'top', or 'bottom'
			  align: 'right', // ('left', 'right', or 'center')
			  width: 350, // (integer, or 'auto')
			  delay: 10000,
			  allow_dismiss: true,
			  stackup_spacing: 10 // spacing between consecutively stacked growls.
			}); 
				
        }
    }
    xmlhttp.open("GET",'/system/ntp_appliance/' + data.value ,true);
    xmlhttp.send();	
}

// datetime button
function datetimeButton() {
	var datetime = document.getElementById("server_date_time");
	if(datetime.value.length > 0) {
		var formatted_date = datetime.value.replace(" ", "_");
		window.location.href = '/system/serverdate/' + formatted_date;
	} else {
		window.location.href = '/system/serverdate/0';
	}		
}
function timezoneButton() {
	
	// start activity text
	document.getElementById("timezone_response_text").innerHTML = '<i class="fa fa-refresh fa-spin fa-fw margin-bottom"></i>&nbsp;<strong><font color="orange">Updating the time zone ...</font></strong><br />';
	
	var timezone = document.getElementById("time_zone_manual");
	var timezone2 = timezone.value.split("/").join("|");
	var system_id = <?php echo $system->id;?>;
	if(timezone.value.length==0){
		timezone2 = 0;
	}
	
	var xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			//alert(xmlhttp.responseText);
			if(xmlhttp.responseText=='0'){	
				document.getElementById("timezone_response_text").innerHTML = '<strong><font color="red"><i class="fa fa-close"></i>&nbsp;Choose a time zone before changing.</font></strong><br />';
			} else {
				document.getElementById("timezone_response_text").innerHTML = '<strong><font color="green"><i class="fa fa-check"></i>&nbsp;Update Complete.</font></strong><br />';
				
				// show popup
				$('#timeZoneModal').modal('show');
			}
        }
    }
    xmlhttp.open("GET",'/system/timezone/' + timezone2 + '&' + system_id,true);
    xmlhttp.send();	
}
$('div.alert').delay(10000).slideUp(300); // 10 seconds
// tooltip 
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
// nightring_enabled
$(function() {
    $('#nightring_enabled').bootstrapToggle();
});
$(function() {
  $('#nightring_enabled').change(function() {
		var nightring_enabled = document.getElementById("nightring_enabled");
      if(document.getElementById("nightring_enabled").checked) {
		  nightring_enabled.value = "1";
	  } else {
		  nightring_enabled.value = "0";
	  }
    })
});
// nightring_allstations
$(function() {
    $('#nightring_allstations').bootstrapToggle();
});
$(function() {
  $('#nightring_allstations').change(function() {
		var nightring_allstations = document.getElementById("nightring_allstations");
      if(document.getElementById("nightring_allstations").checked) {
		  nightring_allstations.value = "1";
		
		  // set nightring_admin_extension to none
		  //var nightring_admin_extension = document.getElementById("nightring_admin_extension");
		  //nightring_admin_extension.value = "";
		  //$('.nightring_admin_extension-btn').find('.selection').html('None');
		  
		  // set nightring_admin_group to none
		  var nightring_admin_group = document.getElementById("nightring_admin_group");
		  nightring_admin_group.value = "";
		  $('.nightring_admin_group-btn').find('.selection').html('None');
		  
		  // clear zones
		  $('#zones').html('<?php echo $clear_zones_text; ?>');	
		  $('#zones').val([]).trigger("change");
	  } else {
		  nightring_allstations.value = "0";
	  }
    })
});
// nightring_admin_group drop down
	$(".nightring_admin_group-action").click(function(){
		$(this).parents(".nightring_admin_group-btn").find('.selection').text($(this).text());
  		$(this).parents(".nightring_admin_group-btn").find('.selection').val($(this).data('value'));
		document.getElementById("nightring_admin_group").value = $(this).data('value');
		 
		  // set nightring_allstations off
		  $('#nightring_allstations').bootstrapToggle('off');
		  
		  // set nightring_admin_extension to none
		  //var nightring_admin_extension = document.getElementById("nightring_admin_extension");
		  //nightring_admin_extension.value = "";
		  //$('.nightring_admin_extension-btn').find('.selection').html('None');
		  
		  // clear zones
		  $('#zones').html('<?php echo $clear_zones_text; ?>');	
		  $('#zones').val([]).trigger("change");
		  
		  $('.open').removeClass('open');
		  return false;
	});
// select2 nightring_zonelist
  		$('#zones').select2({
			placeholder: 'Add <?php echo $product_feature_zones->label_plural; ?> ...',
			closeOnSelect: false
		});
		function clearZones() {
			
			$('#zones').html('<?php echo $clear_zones_text; ?>');	
			$('#zones').val([]).trigger("change");
				
			// set nightring_allstations off
		    $('#nightring_allstations').bootstrapToggle('off');
			
		    // set nightring_admin_extension to none
		    //var nightring_admin_extension = document.getElementById("nightring_admin_extension");
		    //nightring_admin_extension.value = "";
		    //$('.nightring_admin_extension-btn').find('.selection').html('None');
		  
		    // set nightring_admin_group to none
		    var nightring_admin_group = document.getElementById("nightring_admin_group");
		    nightring_admin_group.value = "";
		    $('.nightring_admin_group-btn').find('.selection').html('None');
		}
		function addZones() {	
		
			$('#zones').html('<?php echo $add_zones_text; ?>');
			$('#zones').val(<?php echo $add_zones_val_text; ?>).trigger("change");
			
			// set nightring_allstations off
		    $('#nightring_allstations').bootstrapToggle('off');
		  
		  	// set nightring_admin_extension to none
		    //var nightring_admin_extension = document.getElementById("nightring_admin_extension");
		    //nightring_admin_extension.value = "";
		    //$('.nightring_admin_extension-btn').find('.selection').html('None');
		  
		    // set nightring_admin_group to none
		    var nightring_admin_group = document.getElementById("nightring_admin_group");
		    nightring_admin_group.value = "";
		    $('.nightring_admin_group-btn').find('.selection').html('None');
		}
// select2 nightring_zonelist selection		
$("#zones").on("select2:select", function (e) { 
	
			$('#zones').select2('open').select2('close'); <!-- cursor active in zones field after selection -->
	
			// set nightring_allstations off
		    $('#nightring_allstations').bootstrapToggle('off');
		  
		  	// set nightring_admin_extension to none
		    //var nightring_admin_extension = document.getElementById("nightring_admin_extension");
		    //nightring_admin_extension.value = "";
		    //$('.nightring_admin_extension-btn').find('.selection').html('None');
		  
		    // set nightring_admin_group to none
		    var nightring_admin_group = document.getElementById("nightring_admin_group");
		    nightring_admin_group.value = "";
		    $('.nightring_admin_group-btn').find('.selection').html('None');
});
	
// save button / modal window
$(".save-action").click(function(){
	var audiodist_multicast_ip = document.getElementById("audiodist_multicast_ip");
	var audiodist_ipaddr_position_1 = document.getElementById("audiodist_ipaddr_position_1");
	var audiodist_ipaddr_position_2 = document.getElementById("audiodist_ipaddr_position_2");
	var audiodist_ipaddr_position_3 = document.getElementById("audiodist_ipaddr_position_3");
	var audiodist_ipaddr_position_4 = document.getElementById("audiodist_ipaddr_position_4");
	var new_audiodist_multicast_ip = audiodist_ipaddr_position_1.value + '.' + audiodist_ipaddr_position_2.value + '.' + audiodist_ipaddr_position_3.value + '.' + audiodist_ipaddr_position_4.value;

	var ip_multicast_rtp = document.getElementById("ip_multicast_rtp");
	var multicast_rtp_ip_address_position_1 = document.getElementById("multicast_rtp_ip_address_position_1");
	var multicast_rtp_ip_address_position_2 = document.getElementById("multicast_rtp_ip_address_position_2");
	var multicast_rtp_ip_address_position_3 = document.getElementById("multicast_rtp_ip_address_position_3");
	var multicast_rtp_ip_address_position_4 = document.getElementById("multicast_rtp_ip_address_position_4");
	var new_multicast_rtp_ip_address = multicast_rtp_ip_address_position_1.value + '.' + multicast_rtp_ip_address_position_2.value + '.' + multicast_rtp_ip_address_position_3.value + '.' + multicast_rtp_ip_address_position_4.value;
	
	var server_ipaddr = document.getElementById("server_ipaddr");
	var server_ipaddr_position_1 = document.getElementById("server_ipaddr_position_1");
	var server_ipaddr_position_2 = document.getElementById("server_ipaddr_position_2");
	var server_ipaddr_position_3 = document.getElementById("server_ipaddr_position_3");
	var server_ipaddr_position_4 = document.getElementById("server_ipaddr_position_4");
	var new_server_ipaddr = server_ipaddr_position_1.value + '.' + server_ipaddr_position_2.value + '.' + server_ipaddr_position_3.value + '.' + server_ipaddr_position_4.value;
	
	var allcall_multicast_ip = document.getElementById("allcall_multicast_ip");
	var allcall_ip_address_position_1 = document.getElementById("allcall_ip_address_position_1");
	var allcall_ip_address_position_2 = document.getElementById("allcall_ip_address_position_2");
	var allcall_ip_address_position_3 = document.getElementById("allcall_ip_address_position_3");
	var allcall_ip_address_position_4 = document.getElementById("allcall_ip_address_position_4");
	var new_allcall_multicast_ip = allcall_ip_address_position_1.value + '.' + allcall_ip_address_position_2.value + '.' + allcall_ip_address_position_3.value + '.' + allcall_ip_address_position_4.value;
	
	var ans_multicast_ip = document.getElementById("ans_multicast_ip");
	var ans_ipaddr_position_1 = document.getElementById("ans_ipaddr_position_1");
	var ans_ipaddr_position_2 = document.getElementById("ans_ipaddr_position_2");
	var ans_ipaddr_position_3 = document.getElementById("ans_ipaddr_position_3");
	var ans_ipaddr_position_4 = document.getElementById("ans_ipaddr_position_4");
	var new_ans_multicast_ip = ans_ipaddr_position_1.value + '.' + ans_ipaddr_position_2.value + '.' + ans_ipaddr_position_3.value + '.' + ans_ipaddr_position_4.value;
	
	var old_ip_multicast_port = document.getElementById("old_ip_multicast_port");
	var ip_multicast_port = document.getElementById("ip_multicast_port");
	var old_audiodist_multicast_port = document.getElementById("old_audiodist_multicast_port");
	var audiodist_multicast_port = document.getElementById("audiodist_multicast_port");
	var old_allcall_multicast_port = document.getElementById("old_allcall_multicast_port");
	var allcall_multicast_port = document.getElementById("allcall_multicast_port");
	var old_ans_multicast_port = document.getElementById("old_ans_multicast_port");
	var ans_multicast_port = document.getElementById("ans_multicast_port");
	
	// check if audiodist_multicast_ip, ip_multicast_rtp, server_ipaddr, ip_multicast_port, and audiodist_multicast_port are unchanged
	if(new_audiodist_multicast_ip == audiodist_multicast_ip.value && new_multicast_rtp_ip_address == ip_multicast_rtp.value && new_server_ipaddr == server_ipaddr.value && allcall_multicast_ip.value == new_allcall_multicast_ip && old_ip_multicast_port.value==ip_multicast_port.value && old_audiodist_multicast_port.value == audiodist_multicast_port.value && old_allcall_multicast_port.value == allcall_multicast_port.value && ans_multicast_ip.value == new_ans_multicast_ip && old_ans_multicast_port.value == ans_multicast_port.value){
		document.getElementById("systemform").submit();
	} else { 
		var audiodistr_modal_message = "";
		
		if(new_audiodist_multicast_ip != audiodist_multicast_ip.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The Audio Distribution Multicast IP Address changed. '
		}
		if(old_audiodist_multicast_port.value != audiodist_multicast_port.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The Audio Distribution Multicast Port changed. '
		}
		if(new_multicast_rtp_ip_address != ip_multicast_rtp.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The Emergency-All-Call Multicast RTP IP Address changed. '
		}
		if(old_ip_multicast_port.value != ip_multicast_port.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The Emergency-All-Call Multicast RTP Port changed. '
		}
		if(new_server_ipaddr != server_ipaddr.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The Server IP Address changed. '
		}
		if(old_allcall_multicast_port.value != allcall_multicast_port.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The All-Call Multicast RTP Port changed. '
		}
		if(new_allcall_multicast_ip != allcall_multicast_ip.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The All-Call Multicast RTP IP Address changed. '
		}
		if(new_ans_multicast_ip != ans_multicast_ip.value){
			audiodistr_modal_message = audiodistr_modal_message + 'The Ambient Noise Sensor Multicast IP Address changed. '
		}
		
  		$("#audiodistr-modal-message").text(audiodistr_modal_message);
		$('#audiodistModal').modal('show');
	}
});
// save and reboot button from modal window
$(".reboot-phones-action").click(function(){
	document.getElementById("reboot").value = '1';
	document.getElementById("systemform").submit();
});
// save no reboot button from modal window
$(".save-no-reboot-action").click(function(){
	document.getElementById("systemform").submit();
});
// record_monitoring
$(function() {
    $('#record_monitoring').bootstrapToggle();
});
$(function() {
  $('#record_monitoring').change(function() {
		var nightring_enabled = document.getElementById("record_monitoring");
      if(document.getElementById("record_monitoring").checked) {
		  nightring_enabled.value = "1";
	  } else {
		  nightring_enabled.value = "0";
	  }
    })
});
// bump_on_emergency
$(function() {
    $('#bump_on_emergency').bootstrapToggle();
});
$(function() {
  $('#bump_on_emergency').change(function() {
		var nightring_enabled = document.getElementById("bump_on_emergency");
      if(document.getElementById("bump_on_emergency").checked) {
		  nightring_enabled.value = "1";
	  } else {
		  nightring_enabled.value = "0";
	  }
    })
});
// bump_on_911
$(function() {
    $('#bump_on_911').bootstrapToggle();
});
$(function() {
  $('#bump_on_911').change(function() {
		var bump_on_911 = document.getElementById("bump_on_911");
      if(document.getElementById("bump_on_911").checked) {
		  bump_on_911.value = "1";
	  } else {
		  bump_on_911.value = "0";
	  }
    })
});
// allow_local_eallcall_page_interrupt
$(function() {
    $('#allow_local_eallcall_page_interrupt').bootstrapToggle();
});
$(function() {
  $('#allow_local_eallcall_page_interrupt').change(function() {
      var field = document.getElementById("allow_local_eallcall_page_interrupt");
      var field2 = document.getElementById("allow_local_eallcall_page_interrupt_old");
    if(document.getElementById("allow_local_eallcall_page_interrupt").checked) {
        field.value = "1";
        field2.value = "1";
    } else {
        field.value = "0";
        field2.value = "0";
    }
  })
});
// allow_multisite_eallcall_page_interrupt
$(function() {
    $('#allow_multisite_eallcall_page_interrupt').bootstrapToggle();
});
$(function() {
  $('#allow_multisite_eallcall_page_interrupt').change(function() {
      var field = document.getElementById("allow_multisite_eallcall_page_interrupt");
      var field2 = document.getElementById("allow_multisite_eallcall_page_interrupt_old");
    if(document.getElementById("allow_multisite_eallcall_page_interrupt").checked) {
        field.value = "1";
        field2.value = "1";
    } else {
        field.value = "0";
        field2.value = "0";
    }
  })
});
function checkForDuplicateExtensions() {
	
	var dialing_length_start = document.getElementById("dialing_length_start").value;
	var dialing_length = document.getElementById("dialing_length_temp").value;

	var xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			
			//alert(xmlhttp.responseText);
			if(xmlhttp.responseText==1){	
				getDuplicateStations(dialing_length, dialing_length_start);
			} else if(xmlhttp.responseText==2){
				getTrimErrorStations(dialing_length, dialing_length_start);	
			} else {
				dialingLength();
			}
        }
    }
    xmlhttp.open("GET","/system/checkForDuplicateExtensions/"+ dialing_length_start + '&' + dialing_length,true);
    xmlhttp.send();	
}
// dialing length ajax feedback
function dialingLength() {
	
	var dialing_length_start = document.getElementById("dialing_length_start").value;
	var dialing_length = document.getElementById("dialing_length_temp").value;
	document.getElementById("dialing_length").value = dialing_length;
	var dialing_length_change = document.getElementById("dialing_length_change").value;
	var emergency_link = document.getElementById("emergency_link").value;
	var nightring_admin_extension = document.getElementById("nightring_admin_extension").value;
	
	if(dialing_length==dialing_length_start){
		$('#dialingLengthAlertModal').modal('show');
	} else {
		$('#dialingLengthProcessingModal').modal('show');
	
		document.getElementById("dialing_length_response_text").innerHTML = '<i class="fa fa-refresh fa-spin fa-fw margin-bottom"></i>&nbsp;<strong><font color="orange">Processing ...<br>';

		var xmlhttp=new XMLHttpRequest();
    	xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			
			//alert(xmlhttp.responseText);
			if(xmlhttp.responseText==1){
				
				// hide processing modal
				$('#dialingLengthProcessingModal').modal('hide');
				
				// processed
				document.getElementById("dialing_length_response_text").innerHTML = '<strong><font color="green"><i class="fa fa-check"></i>&nbsp;Processing Complete.</font></strong><br />';
				document.getElementById("dialing_length_start").value = dialing_length;
				
			} else {
				
				// hide processing modal
				$('#dialingLengthProcessingModal').modal('hide');
				
				// not processed
				document.getElementById("dialing_length_response_text").innerHTML = '<strong><font color="orange"><i class="fa fa-exclamation-circle"></i>&nbsp;Change the dialing length to process.</font></strong><br />';
			}
            
        }
    }
    xmlhttp.open("GET","/system/process_dialing_length/"+ dialing_length_start + '&' + dialing_length + '&' + dialing_length_change + '&' + emergency_link + '&' + nightring_admin_extension,true);
    xmlhttp.send();	
	
	}
}
// file input
	$(":file").filestyle({
		size: "sm",
		placeholder: "Choose a new file ...",
		buttonName: "btn-primary",
		buttonText: "&nbsp;Choose File"
		
	});
// call assurance audio reset button
function reset_call_assurance(){

		document.getElementById("call_assurance_audio2").value  = 'call-placed';
		document.getElementById("call_assurance_audio_name").value  = 'call-placed';
}
// select2 emergency_link
$('#emergency_link').select2({
			
});
// select2 emergency_tone
$('#emergency_tone').select2({
			
});
// select2 all_call_tone
$('#all_call_tone').select2({
		
});
// select2 intercom_tone
$('#intercom_tone').select2({
		
});
// select2 nightring_admin_extension
$('#nightring_admin_extension').select2({
		
});
$('#nightring_admin_extension').on('select2:select', function (evt) {
  		
		/*
	  // set nightring_allstations off
	  $('#nightring_allstations').bootstrapToggle('off');

	  // set nightring_admin_group to none
	  var nightring_admin_group = document.getElementById("nightring_admin_group");
	  nightring_admin_group.value = "";
	  $('.nightring_admin_group-btn').find('.selection').html('None');

	  // clear zones
	  $('#zones').html('<?php // echo $clear_zones_text; ?>');	
	  $('#zones').val([]).trigger("change");
	  */
});
function getDuplicateStations(dialing_length, dialing_length_start){
	
	document.getElementById("dialing_length_response_text").innerHTML = '';
	
	var change = Math.abs(dialing_length - dialing_length_start);
	
	// show modal
	$('#duplicateAlertModal').modal('show'); 
	
	// ajax action to call api so screen does not refresh
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			// success 
			//alert(xmlhttp.responseText);
				
			document.getElementById("duplicate_stations_modal_list").innerHTML = xmlhttp.responseText;
		
		}
	}
	xmlhttp.open("GET","/system/getDuplicateStations/" + change,true);
	xmlhttp.send();	
}
function getTrimErrorStations(dialing_length, dialing_length_start){
	
	document.getElementById("dialing_length_response_text").innerHTML = '';
	
	var change = Math.abs(dialing_length - dialing_length_start);
	
	// show modal
	$('#trimErrorAlertModal').modal('show'); 
	
	// ajax action to call api so screen does not refresh
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			// success 
			//alert(xmlhttp.responseText);
				
			document.getElementById("trim_error_stations_modal_list").innerHTML = xmlhttp.responseText;
		
		}
	}
	xmlhttp.open("GET","/system/getTrimErrorStations/" + change,true);
	xmlhttp.send();	
}
function hideAndOpenStations(){
	
	// hide modal
	$('#duplicateAlertModal').modal('hide'); 
	
	// hide modal
	$('#trimErrorAlertModal').modal('hide'); 
	
	// load station list view
	window.location.href = '/station';
	
}
// ip_address
$(".ip-address-action").click(function(){
	$(this).parents(".ip-address-btn").find('.selection').text($(this).text());
	$(this).parents(".ip-address-btn").find('.selection').val($(this).data('value'));
	document.getElementById("ip_address").value = $(this).data('value');
	$('.open').removeClass('open');
	return false;
});
function ipAddressButton(){
		
	// show modal
	$('#ipAddressModal').modal('show');	
}
// save button in modal window
$(".save-ip-address-action").click(function(){
	
	var ip_address = document.getElementById("ip_address").value;

	// ajax action to call api so screen does not refresh
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function() {
		if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			// success 
			//alert(xmlhttp.responseText);
			
			$('#ipAddressModal').modal('hide');
			$('#ipAddressSaveModal').modal('show');
		}
	}
	xmlhttp.open("GET","/system/saveIpAddresses/" + ip_address,true);
	xmlhttp.send();	
	
});
function refreshScreen(){
	
	 window.location.href = '/system/1/edit';
}
// select2 day_start_hours
$('#day_start_hours').select2({
		
});
// select2 day_start_minutes
$('#day_start_minutes').select2({
		
});
// select2 night_start_hours
$('#night_start_hours').select2({
		
});
// select2 night_start_minutes
$('#night_start_minutes').select2({
		
});
// teamviewer_enabled button
function teamviewerButton(enabled) {
				
	var xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			//console.log(xmlhttp.responseText);
			
			var growl_message;
			if(xmlhttp.responseText==0){
			   growl_message = 'Teamviewer disabled.';
			}
			if(xmlhttp.responseText==1){
			   growl_message = 'Teamviewer enabled.';
			}
			
			if(xmlhttp.responseText==0 || xmlhttp.responseText==1){
			   // send growl notification
				$.bootstrapGrowl(growl_message, {
				  ele: 'body', // which element to append to
				  type: 'success', // (null, 'info', 'error', 'success')
				  offset: {from: 'top', amount: 50}, // 'top', or 'bottom'
				  align: 'right', // ('left', 'right', or 'center')
				  width: 350, // (integer, or 'auto')
				  delay: 10000,
				  allow_dismiss: true,
				  stackup_spacing: 10 // spacing between consecutively stacked growls.
				}); 
			}
        }
    }
    xmlhttp.open("GET",'/system/teamviewer_button/' + enabled ,true);
    xmlhttp.send();	
}
// setTVPassword button
function setTVPassword() {
				
	var teamviewer_password = document.getElementById("teamviewer_password").value;
	
	var base64_password = btoa(teamviewer_password);
	base64_password = base64_password .replace(new RegExp('/', 'g'), '|'); // the "/" causes issues when passing in the url
	
	var xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function() {
        if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			//console.log(xmlhttp.responseText);
			
			document.getElementById("teamviewer_password").value = '';
			
			if(xmlhttp.responseText==0){
				// send growl notification
				$.bootstrapGrowl('The Teamviewer Password may only contain letters and numbers.', {
				  ele: 'body', // which element to append to
				  type: 'danger', // (null, 'info', 'error', 'success')
				  offset: {from: 'top', amount: 50}, // 'top', or 'bottom'
				  align: 'right', // ('left', 'right', or 'center')
				  width: 350, // (integer, or 'auto')
				  delay: 10000,
				  allow_dismiss: true,
				  stackup_spacing: 10 // spacing between consecutively stacked growls.
				}); 
			}
			
			if(xmlhttp.responseText==1){
			   // send growl notification
				$.bootstrapGrowl('Teamviewer password set.', {
				  ele: 'body', // which element to append to
				  type: 'success', // (null, 'info', 'error', 'success')
				  offset: {from: 'top', amount: 50}, // 'top', or 'bottom'
				  align: 'right', // ('left', 'right', or 'center')
				  width: 350, // (integer, or 'auto')
				  delay: 10000,
				  allow_dismiss: true,
				  stackup_spacing: 10 // spacing between consecutively stacked growls.
				}); 
			}
        }
    }
    xmlhttp.open("GET",'/system/set_teamviewer_password/' + base64_password ,true);
    xmlhttp.send();	
}
</script>

@stop
